"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  Account: () => Account,
  BottomNav: () => BottomNav,
  BurgerMenu: () => BurgerMenu2,
  HeaderSection: () => HeaderSection,
  LoaderSVG: () => LoaderSVG,
  Logo: () => Logo,
  Menu: () => Menu,
  NavNotification: () => NavNotification,
  PrimaryNav: () => PrimaryNav,
  RecordStatus: () => RecordStatus,
  Tooltip: () => Tooltip,
  portalUrls: () => portalUrls,
  voiceCommandManager: () => voiceCommandManager
});
module.exports = __toCommonJS(src_exports);

// src/components/Header/Header.tsx
var import_react30 = __toESM(require("react"));

// src/components/LazyBackgroundImg/LazyBackgroundImage.tsx
var import_react = __toESM(require("react"));
var LazyBackgroundImage = ({
  imageUrl,
  altText,
  children
}) => {
  const imageRef = (0, import_react.useRef)(null);
  (0, import_react.useEffect)(() => {
    const options = {
      root: null,
      rootMargin: "0px",
      threshold: 0.5
    };
    const handleIntersection = (entries, observer2) => {
      entries.forEach((entry) => {
        if (entry.isIntersecting) {
          imageRef.current.style.backgroundImage = `url(${imageUrl})`;
          observer2.unobserve(imageRef.current);
        }
      });
    };
    const observer = new IntersectionObserver(handleIntersection, options);
    if (imageRef.current) {
      observer.observe(imageRef.current);
    }
    return () => {
      if (imageRef.current) {
        observer.unobserve(imageRef.current);
      }
    };
  }, [imageUrl]);
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      ref: imageRef,
      className: "bg-cover bg-center",
      style: {
        backgroundImage: "none"
        // Initially set to none, will be updated when in view
      }
    },
    /* @__PURE__ */ import_react.default.createElement("div", { className: "hidden" }, /* @__PURE__ */ import_react.default.createElement(
      "img",
      {
        src: imageUrl,
        alt: altText,
        loading: "lazy"
      }
    )),
    children
  );
};
var LazyBackgroundImage_default = LazyBackgroundImage;

// src/components/Seo/Seo.tsx
var import_react2 = __toESM(require("react"));
var import_react_helmet_async = require("react-helmet-async");
var import_react_router_dom = require("react-router-dom");
var Seo = ({ title, description, brandName }) => {
  const location = (0, import_react_router_dom.useLocation)();
  (0, import_react2.useEffect)(() => {
    const dynamicTitle = location.pathname === "/" ? "" : `| ${brandName}`;
    const pageTitle = `${title} ${dynamicTitle}`;
    document.title = pageTitle;
  }, [title, location.pathname]);
  return /* @__PURE__ */ import_react2.default.createElement("div", null, description && /* @__PURE__ */ import_react2.default.createElement(import_react_helmet_async.Helmet, null, /* @__PURE__ */ import_react2.default.createElement("meta", { name: "description", content: description || "" })), /* @__PURE__ */ import_react2.default.createElement("h1", { className: "sr-only" }, title, " ", /* @__PURE__ */ import_react2.default.createElement("span", { className: "sr-only" }, "title")));
};
var Seo_default = Seo;

// src/components/Button/Button.tsx
var import_react4 = __toESM(require("react"));

// src/utils/VoiceCommandManager.ts
var VoiceCommandManager = class {
  commands = {};
  lastExecutedCommand = null;
  receivedCommands = null;
  constructor() {
    this.setReceivedCommand = this.setReceivedCommand.bind(this);
    this.getReceivedCommand = this.getReceivedCommand.bind(this);
  }
  addCommand(command, action) {
    this.commands[command] = action;
  }
  setReceivedCommand(command) {
    this.receivedCommands = command;
    return this.receivedCommands;
  }
  getReceivedCommand() {
    return this.receivedCommands;
  }
  async executeCommand(command) {
    this.lastExecutedCommand = command;
    if (this.commands[command]) {
      await this.commands[command]();
    } else {
      console.error(`Command "${command}" not found.`);
    }
    return this.lastExecutedCommand;
  }
  removeCommand(command) {
    delete this.commands[command];
  }
  getLastExecutedCommand() {
    return this.lastExecutedCommand;
  }
};
var voiceCommandManager = new VoiceCommandManager();

// src/components/LoaderSVG/LoaderSVG.tsx
var import_react3 = __toESM(require("react"));
var LoaderSVG = () => {
  return /* @__PURE__ */ import_react3.default.createElement("div", null, /* @__PURE__ */ import_react3.default.createElement(
    "svg",
    {
      className: "btnSpinner",
      xmlns: "http://www.w3.org/2000/svg",
      width: "17",
      height: "17",
      viewBox: "0 0 17 17",
      "aria-label": "Loading"
    },
    /* @__PURE__ */ import_react3.default.createElement(
      "circle",
      {
        className: "path stroke-current text-btnPrimaryContent",
        id: "Ellipse_1",
        "data-name": "Ellipse 1",
        cx: "7.5",
        cy: "7.5",
        r: "7.5",
        transform: "translate(1 1)",
        fill: "none",
        stroke: "#000",
        strokeWidth: "2"
      }
    )
  ));
};

// src/components/Button/Button.tsx
var Button = ({
  text,
  addClass,
  btntype,
  disabled,
  onClick,
  onKeyDown,
  showIcon,
  iconPlaceholder,
  ariaLive,
  children,
  customButton = false,
  showLabel = true,
  showLoading = false,
  navigationValue,
  ariaLabel,
  ariaLabelledby,
  btnId,
  btnCatogery = "button",
  btnName,
  status = false,
  btnValue,
  btnTitle,
  btnStyle,
  btnKey
}) => {
  const ButtonRef = (0, import_react4.useRef)(null);
  (0, import_react4.useEffect)(() => {
    const commands = [
      `${btnCatogery === "button" ? "click" : ""} ${navigationValue?.toLowerCase() || text?.toLowerCase()}`,
      `${btnCatogery === "button" ? "submit" : ""} ${navigationValue?.toLowerCase() || text?.toLowerCase()}`,
      `${status ? "show" : "hide"} ${navigationValue?.toLowerCase() || text?.toLowerCase()}`,
      `${status ? "open" : "close"} ${navigationValue?.toLowerCase() || text?.toLowerCase()}`
    ];
    commands.forEach((command) => {
      voiceCommandManager.addCommand(command, handleButtonClick);
    });
    return () => {
      commands.forEach((command) => {
        voiceCommandManager.removeCommand(command);
      });
    };
  }, [text, status, btnCatogery, navigationValue, voiceCommandManager]);
  const handleButtonClick = () => {
    if (ButtonRef.current && btnCatogery === "button") {
      ButtonRef.current.click();
    }
    if (ButtonRef.current && btnCatogery === "toggle" && (!status || status)) {
      ButtonRef.current.click();
    }
  };
  const classNamesArray = [customButton ? "" : "btn", addClass];
  const classNames = classNamesArray.filter((className) => className !== "").join(" ");
  return /* @__PURE__ */ import_react4.default.createElement(import_react4.default.Fragment, null, btntype === "button" && /* @__PURE__ */ import_react4.default.createElement(
    "button",
    {
      style: btnStyle,
      ref: ButtonRef,
      title: btnTitle,
      key: btnKey,
      value: btnValue,
      "aria-label": ariaLabel,
      "aria-labelledby": ariaLabelledby,
      id: btnId,
      "data-btncatogery": btnCatogery,
      onClick: () => {
        if (!showLoading && onClick) {
          onClick();
        }
      },
      type: "button",
      name: btnName,
      className: classNames,
      onKeyDown,
      disabled,
      "data-navigationvalue": navigationValue?.toLowerCase() || text?.toLowerCase()
    },
    /* @__PURE__ */ import_react4.default.createElement("span", { className: showLoading ? "pr-4" : "pr-0" }, showLoading && /* @__PURE__ */ import_react4.default.createElement(LoaderSVG, null)),
    showIcon && iconPlaceholder,
    children,
    showLabel && text
  ), btntype === "submit" && /* @__PURE__ */ import_react4.default.createElement(
    "button",
    {
      ref: ButtonRef,
      onClick: () => {
        if (onClick) {
          onClick();
        }
      },
      type: "submit",
      className: `${classNames} ${showLoading && "pointer-events-none cursor-not-allowed"}`,
      onKeyDown,
      disabled,
      "aria-live": ariaLive,
      "data-navigationValue": navigationValue?.toLowerCase() || text?.toLowerCase()
    },
    /* @__PURE__ */ import_react4.default.createElement("span", { className: showLoading ? "pr-4" : "pr-0" }, showLoading && /* @__PURE__ */ import_react4.default.createElement(LoaderSVG, null)),
    showIcon && /* @__PURE__ */ import_react4.default.createElement("span", null, iconPlaceholder),
    showLabel && text,
    children
  ));
};
var Button_default = import_react4.default.memo(Button);

// src/components/Header/Header.tsx
var import_react_router_dom4 = require("react-router-dom");

// src/utils/getMatchedData.ts
function getMatchedData(params, data) {
  let currentData = data;
  let finalData;
  for (const param of Object.values(params)) {
    if (currentData && currentData[param]) {
      finalData = currentData[param];
    } else {
      return void 0;
    }
  }
  if (finalData) {
    const { title, description } = finalData;
    return {
      title,
      description
    };
  }
  return void 0;
}

// src/utils/usePathSegments.ts
var import_react_router_dom2 = require("react-router-dom");
function usePathSegments(segmentIndex) {
  const location = (0, import_react_router_dom2.useLocation)();
  const currentPath = location.pathname;
  const pathSegments = currentPath.split("/").filter((segment) => segment !== "");
  if (segmentIndex >= 0 && segmentIndex < pathSegments.length) {
    return pathSegments[segmentIndex];
  }
  return null;
}

// src/utils/useLastPathSegments.ts
var import_react_router_dom3 = require("react-router-dom");
function useLastTwoPathSegments() {
  const location = (0, import_react_router_dom3.useLocation)();
  const currentPath = location.pathname;
  const pathSegments = currentPath.split("/").filter((segment) => segment !== "");
  const isUUID = (segment) => {
    const uuidRegex = /^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;
    return uuidRegex.test(segment);
  };
  const cleanedSegments = pathSegments.filter((segment) => !isUUID(segment));
  const lastTwoSegments = cleanedSegments.slice(-2);
  const concatenatedSegments = lastTwoSegments.map((segment) => segment.replace(/[^a-zA-Z0-9]/g, "")).join("");
  return concatenatedSegments;
}

// src/components/Icons/Icons.tsx
var import_react29 = __toESM(require("react"));

// src/assets/svgs/BentoDashboard.tsx
var import_react5 = __toESM(require("react"));
var DashboardIcon = ({ className }) => /* @__PURE__ */ import_react5.default.createElement(
  "svg",
  {
    className,
    role: "img",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react5.default.createElement("title", null, "Dashboard"),
  /* @__PURE__ */ import_react5.default.createElement(
    "path",
    {
      d: "M4.5 21C4.1 21 3.75 20.85 3.45 20.55C3.15 20.25 3 19.9 3 19.5V4.5C3 4.1 3.15 3.75 3.45 3.45C3.75 3.15 4.1 3 4.5 3H19.5C19.9 3 20.25 3.15 20.55 3.45C20.85 3.75 21 4.1 21 4.5V19.5C21 19.9 20.85 20.25 20.55 20.55C20.25 20.85 19.9 21 19.5 21H4.5ZM4.5 19.5H11.25V4.5H4.5V19.5ZM12.75 19.5H19.5V11.975H12.75V19.5ZM12.75 10.475H19.5V4.5H12.75V10.475Z",
      fill: "currentColor"
    }
  )
);
var BentoDashboard_default = DashboardIcon;

// src/assets/svgs/BentoOpen.tsx
var import_react6 = __toESM(require("react"));
var BentoOpenIcon = () => /* @__PURE__ */ import_react6.default.createElement(
  "svg",
  {
    className: "bento-icon",
    role: "img",
    "aria-labelledby": "title",
    xmlns: "http://www.w3.org/2000/svg",
    width: "38",
    height: "38",
    viewBox: "0 0 38 38"
  },
  /* @__PURE__ */ import_react6.default.createElement("desc", null, "Open bento menu"),
  /* @__PURE__ */ import_react6.default.createElement(
    "rect",
    {
      id: "Rectangle_1",
      "data-name": "Rectangle 1",
      width: "38",
      height: "38",
      fill: "none"
    }
  ),
  /* @__PURE__ */ import_react6.default.createElement(
    "path",
    {
      id: "bentoMenuPath",
      "data-name": "bentoMenuPath",
      d: "M22.6,27.342a.834.834,0,0,1-.832-.832V22.6a.834.834,0,0,1,.832-.833h3.91a.833.833,0,0,1,.829.833v3.909a.832.832,0,0,1-.832.832Zm-11.1,0a.8.8,0,0,1-.759-.832V22.6a.8.8,0,0,1,.759-.833h4.057a.8.8,0,0,1,.759.833v3.909a.8.8,0,0,1-.759.832Zm-10.722,0A.808.808,0,0,1,0,26.51V22.6a.809.809,0,0,1,.783-.833h4.01a.809.809,0,0,1,.783.833v3.909a.809.809,0,0,1-.783.83ZM22.6,16.32a.8.8,0,0,1-.832-.759V11.5a.8.8,0,0,1,.832-.759h3.91a.8.8,0,0,1,.832.759V15.56a.8.8,0,0,1-.832.759Zm-11.095,0a.759.759,0,0,1-.759-.757V11.5a.759.759,0,0,1,.759-.759h4.057a.76.76,0,0,1,.759.759V15.56a.759.759,0,0,1-.759.759Zm-10.722,0A.772.772,0,0,1,0,15.564V11.5a.771.771,0,0,1,.783-.759h4.01a.771.771,0,0,1,.783.759V15.56a.771.771,0,0,1-.783.759ZM22.6,5.575a.809.809,0,0,1-.832-.783V.783A.809.809,0,0,1,22.6,0h3.91a.808.808,0,0,1,.829.783v4.01a.808.808,0,0,1-.832.783Zm-11.095,0a.771.771,0,0,1-.759-.783V.783A.771.771,0,0,1,11.5,0h4.057a.771.771,0,0,1,.759.783v4.01a.771.771,0,0,1-.759.783Zm-10.722,0A.782.782,0,0,1,0,4.8V.783A.782.782,0,0,1,.781,0h4.01a.782.782,0,0,1,.783.781v4.01a.782.782,0,0,1-.781.783H.787Z",
      transform: "translate(5.329 5.329)",
      strokeMiterlimit: "10",
      strokeWidth: "1",
      fill: "currentColor"
    }
  )
);
var BentoOpen_default = BentoOpenIcon;

// src/assets/svgs/BentoClose.tsx
var import_react7 = __toESM(require("react"));
var BentoCloseIcon = ({ className }) => /* @__PURE__ */ import_react7.default.createElement(
  "svg",
  {
    className: `bento-icon close-icon ${className}`,
    role: "img",
    "aria-labelledby": "title",
    xmlns: "http://www.w3.org/2000/svg",
    width: "21",
    height: "21",
    viewBox: "0 0 21 21"
  },
  /* @__PURE__ */ import_react7.default.createElement("desc", null, "Close bento"),
  /* @__PURE__ */ import_react7.default.createElement(
    "path",
    {
      id: "Icon_material-close",
      "data-name": "Icon material-close",
      d: "M28.5,9.615,26.385,7.5,18,15.885,9.615,7.5,7.5,9.615,15.885,18,7.5,26.385,9.615,28.5,18,20.115,26.385,28.5,28.5,26.385,20.115,18Z",
      transform: "translate(-7.5 -7.5)",
      fill: "currentColor"
    }
  )
);
var BentoClose_default = BentoCloseIcon;

// src/assets/svgs/BentoAppointment.tsx
var import_react8 = __toESM(require("react"));
var BentoAppointmentIcon = ({
  className
}) => /* @__PURE__ */ import_react8.default.createElement(
  "svg",
  {
    className,
    width: "25",
    height: "24",
    viewBox: "0 0 25 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react8.default.createElement(
    "path",
    {
      d: "M15.2952 18.5C14.6149 18.5 14.0414 18.2651 13.5748 17.7954C13.1081 17.3257 12.8748 16.7507 12.8748 16.0704C12.8748 15.3901 13.1096 14.8167 13.5793 14.35C14.049 13.8833 14.624 13.65 15.3043 13.65C15.9846 13.65 16.5581 13.8849 17.0248 14.3546C17.4914 14.8243 17.7248 15.3993 17.7248 16.0796C17.7248 16.7599 17.4899 17.3333 17.0202 17.8C16.5505 18.2667 15.9755 18.5 15.2952 18.5ZM4.87476 22C4.47476 22 4.12476 21.85 3.82476 21.55C3.52476 21.25 3.37476 20.9 3.37476 20.5V5C3.37476 4.6 3.52476 4.25 3.82476 3.95C4.12476 3.65 4.47476 3.5 4.87476 3.5H6.49976V2H8.12476V3.5H16.6248V2H18.2498V3.5H19.8748C20.2748 3.5 20.6248 3.65 20.9248 3.95C21.2248 4.25 21.3748 4.6 21.3748 5V20.5C21.3748 20.9 21.2248 21.25 20.9248 21.55C20.6248 21.85 20.2748 22 19.8748 22H4.87476ZM4.87476 20.5H19.8748V9.75H4.87476V20.5ZM4.87476 8.25H19.8748V5H4.87476V8.25Z",
      fill: "currentColor"
    }
  )
);
var BentoAppointment_default = BentoAppointmentIcon;

// src/assets/svgs/BentoForm.tsx
var import_react9 = __toESM(require("react"));
var BentoFormIcon = ({ className }) => /* @__PURE__ */ import_react9.default.createElement(
  "svg",
  {
    className,
    width: "25",
    height: "24",
    viewBox: "0 0 25 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react9.default.createElement(
    "path",
    {
      d: "M8.475 17.75H16.525V16.25H8.475V17.75ZM8.475 13.5H16.525V12H8.475V13.5ZM6 22C5.6 22 5.25 21.85 4.95 21.55C4.65 21.25 4.5 20.9 4.5 20.5V3.5C4.5 3.1 4.65 2.75 4.95 2.45C5.25 2.15 5.6 2 6 2H15.025L20.5 7.475V20.5C20.5 20.9 20.35 21.25 20.05 21.55C19.75 21.85 19.4 22 19 22H6ZM14.275 8.15V3.5H6V20.5H19V8.15H14.275Z",
      fill: "currentColor"
    }
  )
);
var BentoForm_default = BentoFormIcon;

// src/assets/svgs/BentoCircle.tsx
var import_react10 = __toESM(require("react"));
var BentoCircleIcon = ({ className }) => /* @__PURE__ */ import_react10.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react10.default.createElement("desc", null, "Circle menu"),
  /* @__PURE__ */ import_react10.default.createElement("g", { "clip-path": "url(#clip0_2367_1838)" }, /* @__PURE__ */ import_react10.default.createElement(
    "path",
    {
      d: "M1.275 13.9C0.841667 13.1833 0.520833 12.4625 0.3125 11.7375C0.104167 11.0125 0 10.3 0 9.6C0 7.76667 0.641667 6.20833 1.925 4.925C3.20833 3.64167 4.76667 3 6.6 3C7.65 3 8.64583 3.21667 9.5875 3.65C10.5292 4.08333 11.3333 4.675 12 5.425C12.6667 4.675 13.4708 4.08333 14.4125 3.65C15.3542 3.21667 16.35 3 17.4 3C19.2333 3 20.7917 3.64167 22.075 4.925C23.3583 6.20833 24 7.76667 24 9.6C24 10.3 23.8958 11.0083 23.6875 11.725C23.4792 12.4417 23.1583 13.1583 22.725 13.875C22.5583 13.675 22.3708 13.5042 22.1625 13.3625C21.9542 13.2208 21.7333 13.1 21.5 13C21.8333 12.4167 22.0833 11.8417 22.25 11.275C22.4167 10.7083 22.5 10.15 22.5 9.6C22.5 8.18333 22.0042 6.97917 21.0125 5.9875C20.0208 4.99583 18.8167 4.5 17.4 4.5C16.4833 4.5 15.5792 4.77083 14.6875 5.3125C13.7958 5.85417 12.9 6.675 12 7.775C11.1 6.675 10.2042 5.85417 9.3125 5.3125C8.42083 4.77083 7.51667 4.5 6.6 4.5C5.18333 4.5 3.97917 4.99583 2.9875 5.9875C1.99583 6.97917 1.5 8.18333 1.5 9.6C1.5 10.15 1.58333 10.7083 1.75 11.275C1.91667 11.8417 2.16667 12.4167 2.5 13C2.26667 13.1 2.04583 13.225 1.8375 13.375C1.62917 13.525 1.44167 13.7 1.275 13.9ZM0 22V20.675C0 20.025 0.35 19.5 1.05 19.1C1.75 18.7 2.65 18.5 3.75 18.5C3.96667 18.5 4.16667 18.5042 4.35 18.5125C4.53333 18.5208 4.71667 18.5417 4.9 18.575C4.76667 18.8583 4.66667 19.1458 4.6 19.4375C4.53333 19.7292 4.5 20.0417 4.5 20.375V22H0ZM6 22V20.375C6 19.2917 6.55417 18.4167 7.6625 17.75C8.77083 17.0833 10.2167 16.75 12 16.75C13.8 16.75 15.25 17.0833 16.35 17.75C17.45 18.4167 18 19.2917 18 20.375V22H6ZM19.5 22V20.375C19.5 20.0417 19.4708 19.7292 19.4125 19.4375C19.3542 19.1458 19.2583 18.8583 19.125 18.575C19.3083 18.5417 19.4917 18.5208 19.675 18.5125C19.8583 18.5042 20.05 18.5 20.25 18.5C21.3667 18.5 22.2708 18.7 22.9625 19.1C23.6542 19.5 24 20.025 24 20.675V22H19.5ZM12 18.25C10.6667 18.25 9.58333 18.45 8.75 18.85C7.91667 19.25 7.5 19.7583 7.5 20.375V20.5H16.5V20.35C16.5 19.75 16.0875 19.25 15.2625 18.85C14.4375 18.45 13.35 18.25 12 18.25ZM3.75 17.75C3.26667 17.75 2.85417 17.5792 2.5125 17.2375C2.17083 16.8958 2 16.4833 2 16C2 15.5167 2.17083 15.1042 2.5125 14.7625C2.85417 14.4208 3.26667 14.25 3.75 14.25C4.23333 14.25 4.64583 14.4208 4.9875 14.7625C5.32917 15.1042 5.5 15.5167 5.5 16C5.5 16.4833 5.32917 16.8958 4.9875 17.2375C4.64583 17.5792 4.23333 17.75 3.75 17.75ZM20.25 17.75C19.7667 17.75 19.3542 17.5792 19.0125 17.2375C18.6708 16.8958 18.5 16.4833 18.5 16C18.5 15.5167 18.6708 15.1042 19.0125 14.7625C19.3542 14.4208 19.7667 14.25 20.25 14.25C20.7333 14.25 21.1458 14.4208 21.4875 14.7625C21.8292 15.1042 22 15.5167 22 16C22 16.4833 21.8292 16.8958 21.4875 17.2375C21.1458 17.5792 20.7333 17.75 20.25 17.75ZM12 16C11.1667 16 10.4583 15.7083 9.875 15.125C9.29167 14.5417 9 13.8333 9 13C9 12.15 9.29167 11.4375 9.875 10.8625C10.4583 10.2875 11.1667 10 12 10C12.85 10 13.5625 10.2875 14.1375 10.8625C14.7125 11.4375 15 12.15 15 13C15 13.8333 14.7125 14.5417 14.1375 15.125C13.5625 15.7083 12.85 16 12 16ZM12 11.5C11.5833 11.5 11.2292 11.6417 10.9375 11.925C10.6458 12.2083 10.5 12.5667 10.5 13C10.5 13.4167 10.6458 13.7708 10.9375 14.0625C11.2292 14.3542 11.5833 14.5 12 14.5C12.4333 14.5 12.7917 14.3542 13.075 14.0625C13.3583 13.7708 13.5 13.4167 13.5 13C13.5 12.5667 13.3583 12.2083 13.075 11.925C12.7917 11.6417 12.4333 11.5 12 11.5Z",
      fill: "currentColor"
    }
  ))
);
var BentoCircle_default = BentoCircleIcon;

// src/assets/svgs/BentoNotification.tsx
var import_react11 = __toESM(require("react"));
var BentoNotificationIcon = ({
  className
}) => /* @__PURE__ */ import_react11.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    width: "25",
    height: "24",
    viewBox: "0 0 25 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react11.default.createElement("desc", null, "Notification"),
  /* @__PURE__ */ import_react11.default.createElement("g", { "clip-path": "url(#clip0_2428_1038)" }, /* @__PURE__ */ import_react11.default.createElement(
    "path",
    {
      d: "M12.5 22C11.95 22 11.4792 21.8042 11.0875 21.4125C10.6958 21.0208 10.5 20.55 10.5 20H14.5C14.5 20.55 14.3042 21.0208 13.9125 21.4125C13.5208 21.8042 13.05 22 12.5 22ZM4.5 19V17.5H6.5V9.9C6.5 8.5 6.9125 7.24583 7.7375 6.1375C8.5625 5.02917 9.65 4.33333 11 4.05V3.5C11 3.08333 11.1458 2.72917 11.4375 2.4375C11.7292 2.14583 12.0833 2 12.5 2C12.9167 2 13.2708 2.14583 13.5625 2.4375C13.8542 2.72917 14 3.08333 14 3.5V4.05C14.3833 4.13333 14.7485 4.25036 15.0954 4.40108C15.4423 4.55181 15.7689 4.74312 16.075 4.975C15.8854 5.1737 15.7214 5.38171 15.5828 5.59903C15.4443 5.81634 15.3083 6.04167 15.175 6.275C14.7917 5.99167 14.3735 5.775 13.9206 5.625C13.4676 5.475 12.9941 5.4 12.5 5.4C11.25 5.4 10.1875 5.8375 9.3125 6.7125C8.4375 7.5875 8 8.65 8 9.9V17.5H17V13.85C17.2333 14.0167 17.4708 14.1667 17.7125 14.3C17.9542 14.4333 18.2167 14.55 18.5 14.65V17.5H20.5V19H4.5ZM19.75 13V9.75H16.5V8.25H19.75V5H21.25V8.25H24.5V9.75H21.25V13H19.75Z",
      fill: "currentColor"
    }
  )),
  /* @__PURE__ */ import_react11.default.createElement("defs", null, /* @__PURE__ */ import_react11.default.createElement("clipPath", { id: "clip0_2428_1038" }, /* @__PURE__ */ import_react11.default.createElement("rect", { width: "24", height: "24", fill: "white", transform: "translate(0.5)" })))
);
var BentoNotification_default = BentoNotificationIcon;

// src/assets/svgs/BentoUserManagement.tsx
var import_react12 = __toESM(require("react"));
var userManagementIcon = ({
  className
}) => /* @__PURE__ */ import_react12.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react12.default.createElement("desc", null, "User management menu"),
  /* @__PURE__ */ import_react12.default.createElement(
    "path",
    {
      d: "M10 11.875C8.9 11.875 8 11.525 7.3 10.825C6.6 10.125 6.25 9.225 6.25 8.125C6.25 7.025 6.6 6.125 7.3 5.425C8 4.725 8.9 4.375 10 4.375C11.1 4.375 12 4.725 12.7 5.425C13.4 6.125 13.75 7.025 13.75 8.125C13.75 9.225 13.4 10.125 12.7 10.825C12 11.525 11.1 11.875 10 11.875ZM2 19.9V17.55C2 16.9667 2.14583 16.4417 2.4375 15.975C2.72917 15.5083 3.15 15.15 3.7 14.9C4.9 14.3667 6.0125 13.9833 7.0375 13.75C8.0625 13.5167 9.05 13.4 10 13.4H10.575C10.475 13.6333 10.4 13.8625 10.35 14.0875C10.3 14.3125 10.2583 14.5833 10.225 14.9H10C9.03333 14.9 8.0875 15.0042 7.1625 15.2125C6.2375 15.4208 5.28333 15.7667 4.3 16.25C4.03333 16.3833 3.83333 16.5708 3.7 16.8125C3.56667 17.0542 3.5 17.3 3.5 17.55V18.4H10.225C10.3083 18.7 10.4083 18.9708 10.525 19.2125C10.6417 19.4542 10.7833 19.6833 10.95 19.9H2ZM16.675 21L16.425 19.35C16.1417 19.2667 15.8542 19.1458 15.5625 18.9875C15.2708 18.8292 15.025 18.65 14.825 18.45L13.45 18.75L12.825 17.7L14 16.6C13.9667 16.45 13.95 16.2417 13.95 15.975C13.95 15.7083 13.9667 15.5 14 15.35L12.825 14.25L13.45 13.2L14.825 13.5C15.025 13.3 15.2708 13.1208 15.5625 12.9625C15.8542 12.8042 16.1417 12.6833 16.425 12.6L16.675 10.95H18.025L18.275 12.6C18.5583 12.6833 18.8458 12.8042 19.1375 12.9625C19.4292 13.1208 19.675 13.3 19.875 13.5L21.25 13.2L21.875 14.25L20.7 15.35C20.7333 15.5 20.75 15.7083 20.75 15.975C20.75 16.2417 20.7333 16.45 20.7 16.6L21.875 17.7L21.25 18.75L19.875 18.45C19.675 18.65 19.4292 18.8292 19.1375 18.9875C18.8458 19.1458 18.5583 19.2667 18.275 19.35L18.025 21H16.675ZM17.35 17.975C17.95 17.975 18.4333 17.7917 18.8 17.425C19.1667 17.0583 19.35 16.575 19.35 15.975C19.35 15.375 19.1667 14.8917 18.8 14.525C18.4333 14.1583 17.95 13.975 17.35 13.975C16.75 13.975 16.2667 14.1583 15.9 14.525C15.5333 14.8917 15.35 15.375 15.35 15.975C15.35 16.575 15.5333 17.0583 15.9 17.425C16.2667 17.7917 16.75 17.975 17.35 17.975ZM10 10.375C10.65 10.375 11.1875 10.1625 11.6125 9.7375C12.0375 9.3125 12.25 8.775 12.25 8.125C12.25 7.475 12.0375 6.9375 11.6125 6.5125C11.1875 6.0875 10.65 5.875 10 5.875C9.35 5.875 8.8125 6.0875 8.3875 6.5125C7.9625 6.9375 7.75 7.475 7.75 8.125C7.75 8.775 7.9625 9.3125 8.3875 9.7375C8.8125 10.1625 9.35 10.375 10 10.375Z",
      fill: "currentColor"
    }
  )
);
var BentoUserManagement_default = userManagementIcon;

// src/assets/svgs/BentoTheme.tsx
var import_react13 = __toESM(require("react"));
var ThemeIcon = ({ className }) => /* @__PURE__ */ import_react13.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    xmlns: "http://www.w3.org/2000/svg",
    width: "18.499",
    height: "19.5",
    viewBox: "0 0 18.499 19.5"
  },
  /* @__PURE__ */ import_react13.default.createElement("title", null, "Theme"),
  /* @__PURE__ */ import_react13.default.createElement(
    "path",
    {
      id: "Path_8",
      "data-name": "Path 8",
      d: "M3.455,17.227A9.608,9.608,0,0,1,.149,11.476a9.815,9.815,0,0,1,2.184-8.06A9.718,9.718,0,0,1,5.649.9,9.824,9.824,0,0,1,9.728,0h0a9.916,9.916,0,0,1,8,3.634,3.718,3.718,0,0,1,.714,2.9,3.455,3.455,0,0,1-1.538,2.342l-.032.022A8.632,8.632,0,0,1,13.079,9.9c-1.2.126-1.991.238-2.057.629-.122.718.387,1.1,1.3,1.7a6.2,6.2,0,0,1,1.313,1.058l.009.01a4.185,4.185,0,0,1,.387,4.319c-.607,1.107-1.824,1.731-3.619,1.853l-.049,0c-.214.013-.425.02-.63.02A9.788,9.788,0,0,1,3.455,17.227ZM6.111,1.89A8.621,8.621,0,0,0,3.172,4.123a8.726,8.726,0,0,0-1.939,7.168,8.494,8.494,0,0,0,3.146,5.274,8.708,8.708,0,0,0,5.35,1.842c.167,0,.335,0,.5-.014l.1-.007A3.112,3.112,0,0,0,13.061,17.1a3.138,3.138,0,0,0-.257-3.084,5.293,5.293,0,0,0-1.083-.859l-.011-.007c-.9-.6-2.021-1.347-1.773-2.8.212-1.237,1.577-1.381,3.022-1.533a7.836,7.836,0,0,0,3.322-.843l.024-.016a2.367,2.367,0,0,0,.7-.7,2.339,2.339,0,0,0,.355-.913l.019-.118a2.583,2.583,0,0,0-.055-.961,2.63,2.63,0,0,0-.467-.972,8.832,8.832,0,0,0-7.129-3.2A8.722,8.722,0,0,0,6.111,1.89ZM9.068,17.861a2.037,2.037,0,0,1-.921-.748A2.016,2.016,0,0,1,8.4,14.548a2.05,2.05,0,0,1,1.447-.595h0a2.061,2.061,0,0,1,1.138.342,2.028,2.028,0,0,1-.738,3.682,2.076,2.076,0,0,1-1.184-.115Zm.255-2.656a.938.938,0,0,0-.349.421.925.925,0,0,0-.054.54.935.935,0,0,0,.259.48.95.95,0,0,0,.487.257.99.99,0,0,0,.186.018.957.957,0,0,0,.365-.072.943.943,0,0,0,.426-.346.928.928,0,0,0-.118-1.182.96.96,0,0,0-1.2-.117Zm-5.064.643a2.028,2.028,0,0,1-.755-.912,2.018,2.018,0,0,1,.445-2.216,2.041,2.041,0,1,1,2.587,3.128,2.069,2.069,0,0,1-2.276,0Zm.774-2.555a.94.94,0,0,0-.427.346.928.928,0,0,0,0,1.04.94.94,0,0,0,.427.346A.954.954,0,0,0,5.4,15.1a.988.988,0,0,0,.185-.018.944.944,0,0,0,.487-.257.931.931,0,0,0,0-1.324.95.95,0,0,0-.487-.257.966.966,0,0,0-.55.054ZM2.413,11.44a2.028,2.028,0,0,1,.738-3.682,2.06,2.06,0,0,1,2.1.862A2.017,2.017,0,0,1,5,11.187a2.064,2.064,0,0,1-2.586.253Zm.952-2.609a.944.944,0,0,0-.487.257.929.929,0,0,0-.259.48.918.918,0,0,0,.054.54.938.938,0,0,0,.349.421.96.96,0,0,0,1.2-.117A.928.928,0,0,0,4.342,9.23a.948.948,0,0,0-.427-.346.957.957,0,0,0-.55-.053Zm9.8-1.8a2.021,2.021,0,0,1-.755-.911A2.018,2.018,0,0,1,12.857,3.9a2.065,2.065,0,0,1,2.9,0,2.02,2.02,0,0,1-.311,3.127,2.065,2.065,0,0,1-2.276,0Zm.774-2.555a.945.945,0,0,0-.427.346.929.929,0,0,0,0,1.04.958.958,0,0,0,.791.418.981.981,0,0,0,.185-.018A.957.957,0,0,0,14.979,6a.93.93,0,0,0,0-1.325.965.965,0,0,0-.673-.275A.96.96,0,0,0,13.942,4.476ZM4.258,7.031A2.021,2.021,0,0,1,3.5,6.12,2.018,2.018,0,0,1,3.947,3.9,2.041,2.041,0,1,1,6.534,7.031a2.065,2.065,0,0,1-2.276,0Zm.774-2.555a.94.94,0,0,0-.427.346.929.929,0,0,0,0,1.04.94.94,0,0,0,.427.346.954.954,0,0,0,.365.072.988.988,0,0,0,.185-.018A.957.957,0,0,0,6.069,6a.932.932,0,0,0,0-1.325A.965.965,0,0,0,5.4,4.4.96.96,0,0,0,5.032,4.476Zm4.42,1.032A2.052,2.052,0,0,1,8.4,4.953a2.022,2.022,0,0,1,.311-3.127,2.062,2.062,0,0,1,2.587.253,2.014,2.014,0,0,1,.256,2.566,2.064,2.064,0,0,1-2.1.863ZM9.665,2.6a.944.944,0,0,0-.746.737.926.926,0,0,0,.054.54.938.938,0,0,0,.349.421.96.96,0,0,0,1.2-.117A.928.928,0,0,0,10.642,3a.95.95,0,0,0-.426-.347.962.962,0,0,0-.364-.072A.952.952,0,0,0,9.665,2.6Z",
      fill: "currentColor",
      transform: "translate(0)"
    }
  )
);
var BentoTheme_default = ThemeIcon;

// src/assets/svgs/BentoResource.tsx
var import_react14 = __toESM(require("react"));
var ResourceHubIcon = ({ className }) => /* @__PURE__ */ import_react14.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    width: "25",
    height: "24",
    viewBox: "0 0 25 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react14.default.createElement("desc", null, "Resource hub"),
  /* @__PURE__ */ import_react14.default.createElement(
    "path",
    {
      d: "M8.475 17.75H16.525V16.25H8.475V17.75ZM8.475 13.5H16.525V12H8.475V13.5ZM6 22C5.6 22 5.25 21.85 4.95 21.55C4.65 21.25 4.5 20.9 4.5 20.5V3.5C4.5 3.1 4.65 2.75 4.95 2.45C5.25 2.15 5.6 2 6 2H15.025L20.5 7.475V20.5C20.5 20.9 20.35 21.25 20.05 21.55C19.75 21.85 19.4 22 19 22H6ZM14.275 8.15V3.5H6V20.5H19V8.15H14.275Z",
      fill: "currentColor"
    }
  )
);
var BentoResource_default = ResourceHubIcon;

// src/assets/svgs/BentoLockOpen.tsx
var import_react15 = __toESM(require("react"));
var LockOpenIcon = ({ className }) => /* @__PURE__ */ import_react15.default.createElement(
  "svg",
  {
    className,
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    id: "open-lock"
  },
  /* @__PURE__ */ import_react15.default.createElement("title", null, "Lock open"),
  /* @__PURE__ */ import_react15.default.createElement("path", { fill: "none", d: "M0 0h24v24H0V0z" }),
  /* @__PURE__ */ import_react15.default.createElement(
    "path",
    {
      d: "M12 13c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6-5h-1V6c0-2.76-2.24-5-5-5-2.28 0-4.27 1.54-4.84 3.75-.14.54.18 1.08.72 1.22.53.14 1.08-.18 1.22-.72C9.44 3.93 10.63 3 12 3c1.65 0 3 1.35 3 3v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm0 11c0 .55-.45 1-1 1H7c-.55 0-1-.45-1-1v-8c0-.55.45-1 1-1h10c.55 0 1 .45 1 1v8z",
      fill: "currentColor"
    }
  )
);
var BentoLockOpen_default = LockOpenIcon;

// src/assets/svgs/NotifyBell.tsx
var import_react16 = __toESM(require("react"));
var BellIcon = ({ className }) => /* @__PURE__ */ import_react16.default.createElement(
  "svg",
  {
    className,
    role: "button",
    xmlns: "http://www.w3.org/2000/svg",
    width: "37.117",
    height: "37.117",
    viewBox: "0 0 37.117 37.117"
  },
  /* @__PURE__ */ import_react16.default.createElement("title", null, "Notification"),
  /* @__PURE__ */ import_react16.default.createElement("g", { className: "notify-icon", transform: "translate(5.438 3.222)" }, /* @__PURE__ */ import_react16.default.createElement(
    "path",
    {
      d: "M19.563,34.855a3.13,3.13,0,0,0,3.121-3.121H16.442A3.12,3.12,0,0,0,19.563,34.855Zm9.363-9.363v-7.8c0-4.791-2.559-8.8-7.023-9.863V6.765a2.341,2.341,0,1,0-4.682,0V7.826C12.743,8.887,10.2,12.882,10.2,17.689v7.8L7.078,28.613v1.561H32.047V28.613Z",
      transform: "translate(-7.078 -4.424)",
      fill: "currentColor"
    }
  ))
);
var NotifyBell_default = BellIcon;

// src/assets/svgs/Profile.tsx
var import_react17 = __toESM(require("react"));
var ProfileIcon = ({ className }) => /* @__PURE__ */ import_react17.default.createElement(
  "svg",
  {
    className: `profileNav ${className}`,
    width: "auto",
    height: "auto",
    viewBox: "0 0 37 36",
    fill: "none"
  },
  /* @__PURE__ */ import_react17.default.createElement(
    "path",
    {
      d: "M9.24228 26.0248C10.7423 25.0748 12.2548 24.3623 13.7798 23.8873C15.3048 23.4123 16.9423 23.1748 18.6923 23.1748C20.4423 23.1748 22.0985 23.4248 23.661 23.9248C25.2235 24.4248 26.7423 25.1248 28.2173 26.0248C29.2423 24.6748 29.9735 23.3686 30.411 22.1061C30.8485 20.8436 31.0673 19.4748 31.0673 17.9998C31.0673 14.4998 29.8798 11.5623 27.5048 9.1873C25.1298 6.8123 22.1923 5.6248 18.6923 5.6248C15.1923 5.6248 12.2548 6.8123 9.87978 9.1873C7.50478 11.5623 6.31729 14.4998 6.31729 17.9998C6.31729 19.4998 6.53604 20.8686 6.97353 22.1061C7.41103 23.3436 8.16728 24.6498 9.24228 26.0248ZM18.6923 19.2748C17.2173 19.2748 15.9735 18.7686 14.961 17.7561C13.9485 16.7436 13.4423 15.4998 13.4423 14.0248C13.4423 12.5748 13.9485 11.3373 14.961 10.3123C15.9735 9.2873 17.2173 8.7748 18.6923 8.7748C20.1673 8.7748 21.411 9.2873 22.4235 10.3123C23.436 11.3373 23.9423 12.5873 23.9423 14.0623C23.9423 15.5123 23.436 16.7436 22.4235 17.7561C21.411 18.7686 20.1673 19.2748 18.6923 19.2748V19.2748ZM18.6548 33.7873C16.5048 33.7873 14.4735 33.3748 12.561 32.5498C10.6485 31.7248 8.96729 30.5873 7.51729 29.1373C6.06729 27.6873 4.93603 26.0186 4.12353 24.1311C3.31103 22.2436 2.90479 20.1998 2.90479 17.9998C2.90479 15.8248 3.31728 13.7811 4.14228 11.8686C4.96728 9.95605 6.10478 8.28105 7.55478 6.84355C9.00478 5.40605 10.6735 4.26855 12.561 3.43105C14.4485 2.59355 16.5048 2.1748 18.7298 2.1748C20.9048 2.1748 22.9423 2.59355 24.8423 3.43105C26.7423 4.26855 28.411 5.40605 29.8485 6.84355C31.286 8.28105 32.4235 9.95605 33.261 11.8686C34.0985 13.7811 34.5173 15.8248 34.5173 17.9998C34.5173 20.1998 34.0985 22.2436 33.261 24.1311C32.4235 26.0186 31.286 27.6873 29.8485 29.1373C28.411 30.5873 26.736 31.7248 24.8235 32.5498C22.911 33.3748 20.8548 33.7873 18.6548 33.7873V33.7873Z",
      fill: "currentColor"
    }
  )
);
var Profile_default = ProfileIcon;

// src/assets/svgs/LogoProfile.tsx
var import_react18 = __toESM(require("react"));
var LogoProfileIcon = ({ className }) => /* @__PURE__ */ import_react18.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-labelledby": "title",
    xmlns: "http://www.w3.org/2000/svg",
    width: "17",
    height: "16.567",
    viewBox: "0 0 17 16.567"
  },
  /* @__PURE__ */ import_react18.default.createElement("title", null, "Profile connect"),
  /* @__PURE__ */ import_react18.default.createElement(
    "path",
    {
      id: "Path_15284",
      "data-name": "Path 15284",
      d: "M26,42.559V40.052a3.116,3.116,0,0,1,.479-1.694,2.913,2.913,0,0,1,1.328-1.133A21,21,0,0,1,31.3,36a13.649,13.649,0,0,1,3.2-.374A13.482,13.482,0,0,1,37.687,36a21.179,21.179,0,0,1,3.481,1.227,2.993,2.993,0,0,1,1.341,1.133A3.054,3.054,0,0,1,43,40.052v2.507ZM34.5,34a3.829,3.829,0,0,1-3.984-4,3.986,3.986,0,1,1,7.969,0A3.829,3.829,0,0,1,34.5,34Zm-6.906,6.962H41.406v-.907a1.53,1.53,0,0,0-.252-.828,1.39,1.39,0,0,0-.624-.56,17.885,17.885,0,0,0-3.214-1.147,12.792,12.792,0,0,0-2.815-.293,12.972,12.972,0,0,0-2.829.293,17.726,17.726,0,0,0-3.226,1.147,1.319,1.319,0,0,0-.61.56,1.591,1.591,0,0,0-.239.828ZM34.5,32.4A2.322,2.322,0,0,0,36.89,30a2.391,2.391,0,1,0-4.1,1.72,2.317,2.317,0,0,0,1.713.68Z",
      transform: "translate(-26 -25.992)",
      fill: "currentColor"
    }
  )
);
var LogoProfile_default = LogoProfileIcon;

// src/assets/svgs/BackArrow.tsx
var import_react19 = __toESM(require("react"));
var BackArrowIcon = ({ className }) => /* @__PURE__ */ import_react19.default.createElement(
  "svg",
  {
    className,
    role: "img",
    "aria-label": "Back",
    xmlns: "http://www.w3.org/2000/svg",
    width: "17.34",
    height: "12.298",
    viewBox: "0 0 17.34 12.298"
  },
  /* @__PURE__ */ import_react19.default.createElement("title", null, "Back"),
  /* @__PURE__ */ import_react19.default.createElement("desc", null, "Icon depicting a backward arrow"),
  /* @__PURE__ */ import_react19.default.createElement(
    "path",
    {
      id: "Icon_ionic-ios-arrow-back",
      "data-name": "Icon ionic-ios-arrow-back",
      d: "M389.66,441.452l5.489-6.149,1.492,1.332-3.408,3.818H407v2H393.234l3.407,3.816-1.492,1.332Z",
      transform: "translate(-389.66 -435.303)",
      fill: "currentColor"
    }
  )
);
var BackArrow_default = BackArrowIcon;

// src/assets/svgs/BrandLogo.tsx
var import_react20 = __toESM(require("react"));
var BrandLogoIcon = ({
  className = ""
}) => /* @__PURE__ */ import_react20.default.createElement(
  "svg",
  {
    className: `brand-logo ${className}`,
    width: "250",
    height: "100%",
    version: "1.1",
    id: "Layer_1",
    xmlns: "http://www.w3.org/2000/svg",
    x: "0px",
    y: "0px",
    viewBox: "0 0 2272 297"
  },
  /* @__PURE__ */ import_react20.default.createElement("style", { type: "text/css" }, `.st0{fill:#51796f;}`),
  /* @__PURE__ */ import_react20.default.createElement("g", null, /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M218.7,136.2v129.9h-33.1v-63.8H52.2v63.8H19.8V136.2c0-68.4,39.7-104.1,99.2-104.1\n		C179.1,32.1,218.7,67.8,218.7,136.2z M185.7,173.5v-40.3c0-48.3-25.8-71.7-66.8-71.7S52.2,85,52.2,133.2v40.3H185.7z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M259.4,247.6l13.2-25.1c14.9,10.6,38.7,18.2,61.5,18.2c29.4,0,41.6-8.9,41.6-23.8c0-39.3-110.7-5.3-110.7-75\n		c0-31.4,28.1-52.6,73-52.6c22.8,0,48.6,5.9,63.8,15.9l-13.6,25.1c-15.9-10.2-33.4-13.9-50.6-13.9c-27.8,0-41.3,10.2-41.3,24.1\n		c0,41.3,111.1,7.6,111.1,75.7c0,31.7-29.1,51.9-75.7,51.9C302.7,268.1,273.9,259.1,259.4,247.6z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M432.9,150.4c0-67.8,52.2-118.3,123.3-118.3c70.4,0,122.6,50.2,122.6,118.3c0,68.1-52.2,118.3-122.6,118.3\n		C485.1,268.7,432.9,218.2,432.9,150.4z M645.7,150.4c0-51.2-38.3-88.9-89.6-88.9c-51.9,0-90.2,37.7-90.2,88.9\n		c0,51.2,38.3,88.9,90.2,88.9C607.4,239.3,645.7,201.6,645.7,150.4z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M891,165.3v100.8h-31.7v-97.2c0-34.4-17.2-51.2-47.3-51.2c-33.7,0-55.5,20.2-55.5,58.2v90.2h-31.7V90.9h30.4\n		v26.4c12.9-17.8,35.4-28.1,63.1-28.1C860.9,89.3,891,113.7,891,165.3z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M1080.4,219.1l17.2,20.5c-15.5,18.5-39.7,28.4-68.7,28.4c-56.5,0-94.2-37.3-94.2-89.6\n		c0-51.9,37-89.2,87.9-89.2c47.9,0,85.3,33.7,86.3,85.9l-139.1,27.1c8.9,24.1,30.7,38,60.2,38\n		C1050.3,240.3,1067.5,233.4,1080.4,219.1z M965.3,176.8v3.3l112-21.2c-5.6-25.1-26.4-43-54.9-43C989.1,116,965.3,140.2,965.3,176.8\n		z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M1356.7,34.7v231.4h-33V163h-132.9v103.1h-33.1V34.7h33.1v99.5h132.9V34.7H1356.7z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M1551,219.1l17.2,20.5c-15.5,18.5-39.7,28.4-68.7,28.4c-56.5,0-94.2-37.3-94.2-89.6c0-51.9,37-89.2,87.9-89.2\n		c47.9,0,85.3,33.7,86.3,85.9l-139.1,27.1c8.9,24.1,30.7,38,60.2,38C1520.9,240.3,1538.1,233.4,1551,219.1z M1436,176.8v3.3\n		l112-21.2c-5.6-25.1-26.4-43-54.9-43C1459.8,116,1436,140.2,1436,176.8z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M1789,90.9v175.2h-30.4v-27.8c-14.2,19.8-36.7,29.7-62.5,29.7c-51.2,0-88.6-36-88.6-89.6s37.3-89.2,88.6-89.2\n		c24.8,0,46.6,9.3,61.1,28.1V90.9H1789z M1757.6,178.5c0-37.3-25.4-61.5-58.8-61.5c-33.7,0-59.2,24.1-59.2,61.5s25.4,61.8,59.2,61.8\n		C1732.1,240.3,1757.6,215.8,1757.6,178.5z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M1849.1,214.5V20.8h31.7v191c0,18.8,8.9,29.4,27.1,29.4c5.9,0,11.9-1.7,15.5-3.3l1.7,26.1\n		c-7.3,2.6-15.2,4-22.8,4C1868.3,268.1,1849.1,248.2,1849.1,214.5z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M2047.4,255.8c-9.6,8.3-24.1,12.2-38.3,12.2c-35.4,0-55.5-19.5-55.5-54.9V52.6h31.7v38.3h50.2V117h-50.2v94.9\n		c0,18.8,9.6,29.4,27.4,29.4c9.3,0,18.2-3,24.8-8.3L2047.4,255.8z"
    }
  ), /* @__PURE__ */ import_react20.default.createElement(
    "path",
    {
      className: "st0",
      d: "M2252,165.3v100.8h-31.7v-97.2c0-34.4-17.2-51.2-47.3-51.2c-33.7,0-55.5,20.2-55.5,58.2v90.2h-31.7V20.8h31.7\n		v94.9c13.2-16.9,35-26.4,61.8-26.4C2221.9,89.3,2252,113.7,2252,165.3z"
    }
  ))
);
var BrandLogo_default = BrandLogoIcon;

// src/assets/svgs/BurgerMenu.tsx
var import_react21 = __toESM(require("react"));
var BurgerMenu = ({ className }) => /* @__PURE__ */ import_react21.default.createElement(
  "svg",
  {
    className,
    role: "button",
    xmlns: "http://www.w3.org/2000/svg",
    width: "40",
    height: "32",
    viewBox: "0 0 40 32"
  },
  /* @__PURE__ */ import_react21.default.createElement("title", null, "Application menu"),
  /* @__PURE__ */ import_react21.default.createElement(
    "path",
    {
      id: "Path_16",
      "data-name": "Path 16",
      d: "M163.5,100.8a2.5,2.5,0,0,1,0,5h-35a2.5,2.5,0,0,1,0-5Zm0,13.5a2.5,2.5,0,0,1,0,5h-35a2.5,2.5,0,0,1,0-5Zm0,13.5a2.5,2.5,0,0,1,0,5h-35a2.5,2.5,0,0,1,0-5Z",
      transform: "translate(-126 -100.8)"
    }
  )
);

// src/assets/svgs/Info.tsx
var import_react22 = __toESM(require("react"));
var Info = ({ className }) => /* @__PURE__ */ import_react22.default.createElement(
  "svg",
  {
    className,
    role: "img",
    width: "20",
    height: "20",
    viewBox: "0 0 20 20",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ import_react22.default.createElement("title", null, "Info"),
  /* @__PURE__ */ import_react22.default.createElement(
    "path",
    {
      d: "M9 4.99166H11V6.98911H9V4.99166ZM9 8.98656H11V14.9789H9V8.98656ZM10 -0.00195312C4.48 -0.00195312 0 4.47233 0 9.98528C0 15.4982 4.48 19.9725 10 19.9725C15.52 19.9725 20 15.4982 20 9.98528C20 4.47233 15.52 -0.00195312 10 -0.00195312ZM10 17.9751C5.59 17.9751 2 14.3897 2 9.98528C2 5.58091 5.59 1.99549 10 1.99549C14.41 1.99549 18 5.58091 18 9.98528C18 14.3897 14.41 17.9751 10 17.9751Z",
      fill: "currentColor"
    }
  )
);

// src/assets/svgs/Resource.tsx
var import_react23 = __toESM(require("react"));
var ResourceIcon = ({ className }) => /* @__PURE__ */ import_react23.default.createElement(
  "svg",
  {
    className: `${className}`,
    role: "img",
    width: "25",
    height: "24",
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    viewBox: "0 96 960 960"
  },
  /* @__PURE__ */ import_react23.default.createElement("title", null, "Resources bento menu"),
  /* @__PURE__ */ import_react23.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M796 935 533 672q-30 26-69.959 40.5T378 727q-108.162 0-183.081-75Q120 577 120 471t75-181q75-75 181.5-75t181 75Q632 365 632 471.15 632 514 618 554q-14 40-42 75l264 262-44 44ZM377 667q81.25 0 138.125-57.5T572 471q0-81-56.875-138.5T377 275q-82.083 0-139.542 57.5Q180 390 180 471t57.458 138.5Q294.917 667 377 667Z"
    }
  )
);
var Resource_default = ResourceIcon;

// src/assets/svgs/RollManagement.tsx
var import_react24 = __toESM(require("react"));
var RollManagementIcon = ({
  className
}) => /* @__PURE__ */ import_react24.default.createElement(
  "svg",
  {
    className: `${className}`,
    xmlns: "http://www.w3.org/2000/svg",
    height: "24px",
    viewBox: "0 -960 960 960",
    width: "24px",
    fill: "currentColor"
  },
  /* @__PURE__ */ import_react24.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M600-120v-120H440v-400h-80v120H80v-320h280v120h240v-120h280v320H600v-120h-80v320h80v-120h280v320H600ZM160-760v160-160Zm520 400v160-160Zm0-400v160-160Zm0 160h120v-160H680v160Zm0 400h120v-160H680v160ZM160-600h120v-160H160v160Z"
    }
  )
);
var RollManagement_default = RollManagementIcon;

// src/assets/svgs/ModuleManagement.tsx
var import_react25 = __toESM(require("react"));
var ModuleManagementIcon = ({
  className
}) => /* @__PURE__ */ import_react25.default.createElement(
  "svg",
  {
    className: `${className}`,
    xmlns: "http://www.w3.org/2000/svg",
    height: "24px",
    viewBox: "0 -960 960 960",
    width: "24px",
    fill: "currentColor"
  },
  /* @__PURE__ */ import_react25.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M240-40q-50 0-85-35t-35-85q0-50 35-85t85-35q14 0 26 3t23 8l57-71q-28-31-39-70t-5-78l-81-27q-17 25-43 40t-58 15q-50 0-85-35T0-580q0-50 35-85t85-35q50 0 85 35t35 85v8l81 28q20-36 53.5-61t75.5-32v-87q-39-11-64.5-42.5T360-840q0-50 35-85t85-35q50 0 85 35t35 85q0 42-26 73.5T510-724v87q42 7 75.5 32t53.5 61l81-28v-8q0-50 35-85t85-35q50 0 85 35t35 85q0 50-35 85t-85 35q-32 0-58.5-15T739-515l-81 27q6 39-5 77.5T614-340l57 70q11-5 23-7.5t26-2.5q50 0 85 35t35 85q0 50-35 85t-85 35q-50 0-85-35t-35-85q0-20 6.5-38.5T624-232l-57-71q-41 23-87.5 23T392-303l-56 71q11 15 17.5 33.5T360-160q0 50-35 85t-85 35ZM120-540q17 0 28.5-11.5T160-580q0-17-11.5-28.5T120-620q-17 0-28.5 11.5T80-580q0 17 11.5 28.5T120-540Zm120 420q17 0 28.5-11.5T280-160q0-17-11.5-28.5T240-200q-17 0-28.5 11.5T200-160q0 17 11.5 28.5T240-120Zm240-680q17 0 28.5-11.5T520-840q0-17-11.5-28.5T480-880q-17 0-28.5 11.5T440-840q0 17 11.5 28.5T480-800Zm0 440q42 0 71-29t29-71q0-42-29-71t-71-29q-42 0-71 29t-29 71q0 42 29 71t71 29Zm240 240q17 0 28.5-11.5T760-160q0-17-11.5-28.5T720-200q-17 0-28.5 11.5T680-160q0 17 11.5 28.5T720-120Zm120-420q17 0 28.5-11.5T880-580q0-17-11.5-28.5T840-620q-17 0-28.5 11.5T800-580q0 17 11.5 28.5T840-540ZM480-840ZM120-580Zm360 120Zm360-120ZM240-160Zm480 0Z"
    }
  )
);
var ModuleManagement_default = ModuleManagementIcon;

// src/assets/svgs/ServiceManagement.tsx
var import_react26 = __toESM(require("react"));
var ServiceManagementIcon = ({
  className
}) => /* @__PURE__ */ import_react26.default.createElement(
  "svg",
  {
    className: `${className}`,
    xmlns: "http://www.w3.org/2000/svg",
    height: "24px",
    viewBox: "0 -960 960 960",
    width: "24px",
    fill: "currentColor"
  },
  /* @__PURE__ */ import_react26.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M440-120v-80h320v-284q0-117-81.5-198.5T480-764q-117 0-198.5 81.5T200-484v244h-40q-33 0-56.5-23.5T80-320v-80q0-21 10.5-39.5T120-469l3-53q8-68 39.5-126t79-101q47.5-43 109-67T480-840q68 0 129 24t109 66.5Q766-707 797-649t40 126l3 52q19 9 29.5 27t10.5 38v92q0 20-10.5 38T840-249v49q0 33-23.5 56.5T760-120H440Zm-80-280q-17 0-28.5-11.5T320-440q0-17 11.5-28.5T360-480q17 0 28.5 11.5T400-440q0 17-11.5 28.5T360-400Zm240 0q-17 0-28.5-11.5T560-440q0-17 11.5-28.5T600-480q17 0 28.5 11.5T640-440q0 17-11.5 28.5T600-400Zm-359-62q-7-106 64-182t177-76q89 0 156.5 56.5T720-519q-91-1-167.5-49T435-698q-16 80-67.5 142.5T241-462Z"
    }
  )
);
var ServiceManagement_default = ServiceManagementIcon;

// src/assets/svgs/AreaManagement.tsx
var import_react27 = __toESM(require("react"));
var AreaManagementIcon = ({
  className
}) => /* @__PURE__ */ import_react27.default.createElement(
  "svg",
  {
    className: `${className}`,
    xmlns: "http://www.w3.org/2000/svg",
    height: "24px",
    viewBox: "0 -960 960 960",
    width: "24px",
    fill: "currentColor"
  },
  /* @__PURE__ */ import_react27.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M120-120v-560h240v-80l120-120 120 120v240h240v400H120Zm80-80h80v-80h-80v80Zm0-160h80v-80h-80v80Zm0-160h80v-80h-80v80Zm240 320h80v-80h-80v80Zm0-160h80v-80h-80v80Zm0-160h80v-80h-80v80Zm0-160h80v-80h-80v80Zm240 480h80v-80h-80v80Zm0-160h80v-80h-80v80Z"
    }
  )
);
var AreaManagement_default = AreaManagementIcon;

// src/assets/svgs/Referral.tsx
var import_react28 = __toESM(require("react"));
var ReferralIcon = ({ className }) => /* @__PURE__ */ import_react28.default.createElement(
  "svg",
  {
    className: `${className}`,
    xmlns: "http://www.w3.org/2000/svg",
    height: "24px",
    viewBox: "0 -960 960 960",
    width: "24px",
    fill: "currentColor"
  },
  /* @__PURE__ */ import_react28.default.createElement(
    "path",
    {
      fill: "currentColor",
      d: "M40-160v-160q0-34 23.5-57t56.5-23h131q20 0 38 10t29 27q29 39 71.5 61t90.5 22q49 0 91.5-22t70.5-61q13-17 30.5-27t36.5-10h131q34 0 57 23t23 57v160H640v-91q-35 25-75.5 38T480-200q-43 0-84-13.5T320-252v92H40Zm440-160q-38 0-72-17.5T351-386q-17-25-42.5-39.5T253-440q22-37 93-58.5T480-520q63 0 134 21.5t93 58.5q-29 0-55 14.5T609-386q-22 32-56 49t-73 17ZM160-440q-50 0-85-35t-35-85q0-51 35-85.5t85-34.5q51 0 85.5 34.5T280-560q0 50-34.5 85T160-440Zm640 0q-50 0-85-35t-35-85q0-51 35-85.5t85-34.5q51 0 85.5 34.5T920-560q0 50-34.5 85T800-440ZM480-560q-50 0-85-35t-35-85q0-51 35-85.5t85-34.5q51 0 85.5 34.5T600-680q0 50-34.5 85T480-560Z"
    }
  )
);
var Referral_default = ReferralIcon;

// src/components/Icons/Icons.tsx
var iconTypes = {
  Dashboard: BentoDashboard_default,
  Notifications: BentoNotification_default,
  Messaging: BentoNotification_default,
  Appointments: BentoAppointment_default,
  "Circle of care": BentoCircle_default,
  Questionnaires: BentoForm_default,
  Forms: BentoForm_default,
  "Carer dashboard": BentoDashboard_default,
  "User management": BentoUserManagement_default,
  "Permission management": BentoLockOpen_default,
  "Trust management": BentoDashboard_default,
  "Theme management": BentoTheme_default,
  "ICB management": BentoDashboard_default,
  "Resource hub": BentoResource_default,
  "Area management": AreaManagement_default,
  "Service Management": ServiceManagement_default,
  "Module Management": ModuleManagement_default,
  "Roll Management": RollManagement_default,
  Resources: Resource_default,
  openIcon: BentoOpen_default,
  closeIcon: BentoClose_default,
  notifyBell: NotifyBell_default,
  profileIcon: Profile_default,
  logoProfile: LogoProfile_default,
  back: BackArrow_default,
  brandLogo: BrandLogo_default,
  burgerMenu: BurgerMenu,
  infoIcon: Info,
  Referrals: Referral_default
};
var IconComponent = ({ name, addClass, ...props }) => {
  const Icons = iconTypes[name];
  return /* @__PURE__ */ import_react29.default.createElement(import_react29.default.Fragment, null, Icons && /* @__PURE__ */ import_react29.default.createElement(Icons, { className: `${addClass ? addClass : ""}`, ...props }));
};
var Icons_default = IconComponent;

// src/components/Header/Header.tsx
function useViewportWidth() {
  const [viewportWidth, setViewportWidth] = (0, import_react30.useState)(window.innerWidth);
  (0, import_react30.useEffect)(() => {
    const handleResize = () => {
      setViewportWidth(window.innerWidth);
    };
    window.addEventListener("resize", handleResize);
    handleResize();
    return () => {
      window.removeEventListener("resize", handleResize);
    };
  }, []);
  return viewportWidth;
}
var unauthoredPageRoutes = [
  "validate-login",
  "developer",
  "logout",
  "accessibilitystatement",
  "about",
  "termsofservices",
  "emergency",
  "privacypolicy",
  "feedback",
  "faq",
  "not-found",
  "consent",
  "contact",
  "cookies"
];
var HeaderSection = ({
  backgroundImageUrl,
  backgroundImgAltText,
  isAuthenticated,
  useSeoJsonData,
  useHeadingJson,
  brandName,
  children
}) => {
  const [isMobile, setisMobile] = (0, import_react30.useState)(false);
  const [seoTitle, setSeoTitle] = (0, import_react30.useState)("");
  const [seoDescription, setSeoDescription] = (0, import_react30.useState)("");
  const [headerHeading, setHeaderHeading] = (0, import_react30.useState)("");
  const [headerSubheading, setHeaderSubheading] = (0, import_react30.useState)("");
  const viewportWidth = useViewportWidth();
  (0, import_react30.useEffect)(() => {
    if (viewportWidth <= 1023) {
      setisMobile(true);
    } else {
      setisMobile(false);
    }
  }, [viewportWidth]);
  const history = (0, import_react_router_dom4.useNavigate)();
  const location = (0, import_react_router_dom4.useLocation)();
  const goBack = () => {
    history(-1);
  };
  const pathToRemoveButton = [
    "/dashboard/patient",
    "/dashboard/",
    "/rbac/trust/overview",
    "dashboard/carer",
    "dashboard/carer/health-access"
  ];
  const isButtonHidden = pathToRemoveButton.includes(location.pathname);
  const firstParam = usePathSegments(0) || "";
  const lastTwoSegments = useLastTwoPathSegments();
  (0, import_react30.useEffect)(() => {
    const cleanedFirstParam = firstParam.replace(/[^a-zA-Z0-9]/g, "");
    const routeParams = {};
    routeParams["param0"] = lastTwoSegments;
    const firstParams = {};
    firstParams["param0"] = cleanedFirstParam;
    try {
      let seoData;
      if (useSeoJsonData !== null) {
        seoData = getMatchedData(routeParams, useSeoJsonData);
      }
      let headerData;
      if (useHeadingJson !== null) {
        headerData = getMatchedData(firstParams, useHeadingJson);
      }
      if (seoData) {
        setSeoTitle(seoData.title);
        setSeoDescription(seoData.description);
      }
      if (headerData) {
        setHeaderHeading(headerData.title);
        setHeaderSubheading(headerData.description);
      }
    } catch (error) {
      console.error("An error occurred:", error);
      setSeoTitle("Error");
      setSeoDescription("An error occurred while fetching data.");
    }
  }, [location.pathname, useHeadingJson]);
  return /* @__PURE__ */ import_react30.default.createElement("div", { className: "bg-header" }, /* @__PURE__ */ import_react30.default.createElement(
    LazyBackgroundImage_default,
    {
      imageUrl: backgroundImageUrl,
      altText: backgroundImgAltText
    },
    /* @__PURE__ */ import_react30.default.createElement(
      Seo_default,
      {
        brandName,
        title: seoTitle,
        description: seoDescription
      }
    ),
    isAuthenticated ? /* @__PURE__ */ import_react30.default.createElement(import_react30.default.Fragment, null, /* @__PURE__ */ import_react30.default.createElement("div", null, /* @__PURE__ */ import_react30.default.createElement(
      "div",
      {
        className: `${isMobile ? "mobile-top-nav-block" : "top-nav-block"}`
      },
      children,
      isMobile ? /* @__PURE__ */ import_react30.default.createElement("div", { className: "go-back-block" }, /* @__PURE__ */ import_react30.default.createElement(
        Button_default,
        {
          btntype: "button",
          addClass: "go-back-btn",
          customButton: true,
          showLabel: false,
          text: "back arrow",
          onClick: goBack
        },
        !isButtonHidden && /* @__PURE__ */ import_react30.default.createElement("span", null, /* @__PURE__ */ import_react30.default.createElement(Icons_default, { name: "back" }))
      ), seoTitle) : /* @__PURE__ */ import_react30.default.createElement(import_react30.default.Fragment, null, headerHeading && /* @__PURE__ */ import_react30.default.createElement("div", { className: "header-text" }, headerHeading && /* @__PURE__ */ import_react30.default.createElement("h2", null, headerHeading), headerSubheading && /* @__PURE__ */ import_react30.default.createElement("p", null, headerSubheading)))
    ))) : null,
    !unauthoredPageRoutes.includes(location.pathname.split("/")[1]) && (location.pathname === "/" || location.pathname.includes("/login") || location.pathname.includes("/signup") || location.pathname.includes("/verify-email") || location.pathname.includes("/reset-password") || location.pathname.split("/")?.length === 2 || location.pathname === "/forgot-password") ? "" : !isAuthenticated && /* @__PURE__ */ import_react30.default.createElement(
      "div",
      {
        className: `${isMobile ? "mobile-top-nav-block" : "top-nav-block"}`
      },
      isMobile ? /* @__PURE__ */ import_react30.default.createElement("div", { className: "go-back-block" }, /* @__PURE__ */ import_react30.default.createElement(
        "button",
        {
          type: "button",
          className: "go-back-btn",
          onClick: goBack
        },
        !isButtonHidden && /* @__PURE__ */ import_react30.default.createElement("span", null, /* @__PURE__ */ import_react30.default.createElement(Icons_default, { name: "back" })),
        seoTitle
      )) : /* @__PURE__ */ import_react30.default.createElement(import_react30.default.Fragment, null, !isAuthenticated && /* @__PURE__ */ import_react30.default.createElement("span", { className: "mx-auto" }, /* @__PURE__ */ import_react30.default.createElement(import_react_router_dom4.Link, { to: "/" }, /* @__PURE__ */ import_react30.default.createElement(Icons_default, { name: "brandLogo" }), /* @__PURE__ */ import_react30.default.createElement("span", { className: "sr-only" }, "logo"))), /* @__PURE__ */ import_react30.default.createElement("div", { className: "header-text" }, headerHeading && /* @__PURE__ */ import_react30.default.createElement("h2", null, headerHeading), headerSubheading && /* @__PURE__ */ import_react30.default.createElement("p", null, headerSubheading)))
    )
  ));
};

// src/components/BurgerMenu/BurgerMenu.tsx
var import_react36 = __toESM(require("react"));
var import_react_router_dom6 = require("react-router-dom");

// src/components/Logo/Logo.tsx
var import_react33 = __toESM(require("react"));
var import_react_router_dom5 = require("react-router-dom");

// src/components/Avatar/TrustLogo.tsx
var import_react31 = __toESM(require("react"));
var TrustLogo = ({
  alt,
  width,
  height,
  src,
  addClass
}) => {
  return /* @__PURE__ */ import_react31.default.createElement("div", { className: "img-logo-wrapper" }, /* @__PURE__ */ import_react31.default.createElement(
    "img",
    {
      className: addClass,
      width,
      height,
      src,
      alt
    }
  ));
};

// src/components/Logo/DivLoader.tsx
var import_react32 = __toESM(require("react"));
var DivLoader = () => {
  return /* @__PURE__ */ import_react32.default.createElement("div", { className: "skeleton-logo" });
};
var DivLoader_default = DivLoader;

// src/components/Logo/Logo.tsx
var Logo = ({
  title,
  imageUrl,
  link,
  action,
  state,
  isLoading = false
}) => {
  const [svgContent, setSvgContent] = (0, import_react33.useState)("");
  const [isSvg, setIsSvg] = (0, import_react33.useState)(false);
  const [loading, setLoading] = (0, import_react33.useState)(isLoading);
  (0, import_react33.useEffect)(() => {
    const fetchSvg = async () => {
      if (imageUrl && imageUrl.endsWith(".svg")) {
        try {
          const response = await fetch(imageUrl);
          const svgText = await response.text();
          const parser = new DOMParser();
          const doc = parser.parseFromString(svgText, "image/svg+xml");
          const isValid = doc.getElementsByTagName("parsererror").length === 0;
          if (isValid) {
            setIsSvg(true);
            setSvgContent(svgText);
            setLoading(false);
          } else {
            setIsSvg(false);
            if (isLoading) {
              retryLoading();
            }
          }
        } catch (error) {
          console.error("Error fetching SVG:", error);
          setIsSvg(false);
          if (isLoading) {
            retryLoading();
          }
        }
      } else {
        setIsSvg(false);
        if (isLoading) {
          retryLoading();
        }
      }
    };
    fetchSvg();
  }, [imageUrl]);
  const retryLoading = () => {
    setTimeout(() => {
      if (imageUrl) {
        fetch(imageUrl).then((response) => response.blob()).then((blob) => {
          if (blob.type.startsWith("image")) {
            setLoading(false);
          } else {
            setLoading(false);
          }
        }).catch(() => setLoading(false));
      } else {
        setLoading(false);
      }
    }, 2e3);
  };
  if (loading) {
    return /* @__PURE__ */ import_react33.default.createElement(DivLoader_default, null);
  }
  return /* @__PURE__ */ import_react33.default.createElement("div", { className: "logo-wrapper", title }, /* @__PURE__ */ import_react33.default.createElement(
    import_react_router_dom5.Link,
    {
      className: "logo_helpguide",
      "aria-label": "product logo",
      to: link || "#",
      state,
      onClick: action
    },
    imageUrl ? isSvg ? /* @__PURE__ */ import_react33.default.createElement(
      "div",
      {
        className: "profile",
        dangerouslySetInnerHTML: { __html: svgContent }
      }
    ) : /* @__PURE__ */ import_react33.default.createElement("div", { className: "profile" }, /* @__PURE__ */ import_react33.default.createElement(
      TrustLogo,
      {
        src: imageUrl,
        width: 200,
        alt: title,
        addClass: "object-contain"
      }
    )) : /* @__PURE__ */ import_react33.default.createElement("div", { className: "profile" }, /* @__PURE__ */ import_react33.default.createElement(Icons_default, { name: "brandLogo" }))
  ));
};

// src/utils/useKeyboard.tsx
var import_react34 = require("react");
var useKeyboard = (state) => {
  (0, import_react34.useEffect)(() => {
    function escHandler(e) {
      if (e.key === "Escape") {
        state(false);
      }
    }
    document.addEventListener("keyup", escHandler);
    return () => {
      document.removeEventListener("keyup", escHandler);
    };
  }, [state]);
};
var useKeyboard_default = useKeyboard;

// src/utils/useOutsideClick.tsx
var import_react35 = require("react");
var useOutsideClick = (ref, handler) => {
  (0, import_react35.useEffect)(() => {
    const listener = (event) => {
      if (ref.current && ref.current.contains(event.target)) {
        return;
      }
      handler();
    };
    document.addEventListener("mousedown", listener);
    document.addEventListener("touchstart", listener);
    return () => {
      document.removeEventListener("mousedown", listener);
      document.removeEventListener("touchstart", listener);
    };
  }, [ref, handler]);
};
var useOutsideClick_default = useOutsideClick;

// src/components/BurgerMenu/BurgerMenu.tsx
var MenuItem = ({
  item,
  isActive,
  onClick,
  getAppUrl
}) => {
  const handleMenuClick = () => {
    if (item.action) {
      item.action();
    } else {
      onClick(item);
    }
  };
  return /* @__PURE__ */ import_react36.default.createElement(
    "li",
    {
      className: `list-group-item ${isActive ? "active" : "item-separator"}`,
      onClick: handleMenuClick
    },
    /* @__PURE__ */ import_react36.default.createElement(import_react_router_dom6.Link, { to: getAppUrl(item.appUrl, item.link) || "#", className: "" }, item.name),
    item.children && item.children.length > 0 && /* @__PURE__ */ import_react36.default.createElement("div", { className: "add-icon" }, /* @__PURE__ */ import_react36.default.createElement("span", null, isActive ? "-" : "+"))
  );
};
var MenuChildrenItems = ({
  children,
  onSelect,
  getAppUrl
}) => /* @__PURE__ */ import_react36.default.createElement("ul", { className: "list-group sub" }, children.map((child, idx) => /* @__PURE__ */ import_react36.default.createElement(
  "li",
  {
    key: `submenu-list-item-${idx}`,
    className: `list-group-item ${children.length - 1 === idx ? "item-separator" : ""}`
  },
  /* @__PURE__ */ import_react36.default.createElement(
    import_react_router_dom6.Link,
    {
      to: getAppUrl(child.appUrl, child.link) || "#",
      onClick: () => onSelect(child),
      className: ""
    },
    child.label
  )
)));
var useMenuState = (initialState = null) => {
  const [selectedMenu, setSelectedMenu] = (0, import_react36.useState)(initialState);
  const toggleMenu = (item) => {
    setSelectedMenu(selectedMenu === item.name ? null : item.name || null);
  };
  return { selectedMenu, toggleMenu };
};
var BurgerMenu2 = ({
  menuData,
  Name = "",
  id,
  LogoUrl = "",
  changeAction,
  openTab,
  MainPortal = "",
  QBPortal = "",
  ResourcesPortal = "",
  OuterDomain = ""
}) => {
  const { selectedMenu, toggleMenu } = useMenuState();
  const getAppUrl = (appUrl, link) => {
    switch (appUrl) {
      case "MainPortal":
        return `${MainPortal}${link}`;
      case "QBPortal":
        return `${QBPortal}${link}`;
      case "ResourcesPortal":
        return `${ResourcesPortal}${link}`;
      case "OuterDomain":
        return `${OuterDomain}${link}`;
      case "Action":
        return "#";
      default:
        return link ? link : "#";
    }
  };
  const burgerRef = (0, import_react36.useRef)(null);
  useOutsideClick_default(burgerRef, () => {
    if (openTab)
      changeAction(false);
  });
  const toggleBentoMenu = () => {
    changeAction(!openTab);
  };
  useKeyboard_default(changeAction);
  return /* @__PURE__ */ import_react36.default.createElement(import_react36.default.Fragment, null, menuData && menuData.length > 0 && /* @__PURE__ */ import_react36.default.createElement("div", { className: "flex items-center lg:hidden", ref: burgerRef }, /* @__PURE__ */ import_react36.default.createElement(
    "button",
    {
      type: "button",
      className: "bento-icon acc-icon",
      onClick: toggleBentoMenu,
      "aria-label": "Bento menu",
      "aria-haspopup": "true"
    },
    /* @__PURE__ */ import_react36.default.createElement(
      Icons_default,
      {
        name: "burgerMenu",
        addClass: "bento-icon fill-primary"
      }
    )
  ), openTab ? /* @__PURE__ */ import_react36.default.createElement("div", { className: "burger-menu-section" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "put-bento-desktop" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "bento-desk-wrap" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "bento-content", id: "bento-menu-content" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "burger-header flex items-center gap-4" }, /* @__PURE__ */ import_react36.default.createElement(
    "button",
    {
      type: "button",
      className: "bento-icon acc-icon",
      "aria-label": "Bento menu",
      "aria-haspopup": "true",
      onClick: toggleBentoMenu
    },
    /* @__PURE__ */ import_react36.default.createElement(BentoClose_default, { className: "bento-icon" })
  ), /* @__PURE__ */ import_react36.default.createElement("div", { className: "client-logo flex items-center" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "footer-logo-blk" }, /* @__PURE__ */ import_react36.default.createElement("div", { className: "sm-h-5" }), /* @__PURE__ */ import_react36.default.createElement(Logo, { title: Name, key: id, imageUrl: LogoUrl })))), /* @__PURE__ */ import_react36.default.createElement("div", { className: "menu-items" }, /* @__PURE__ */ import_react36.default.createElement("ul", { className: "list-group" }, menuData.map((item, idx) => {
    const isActive = selectedMenu === item.name;
    return /* @__PURE__ */ import_react36.default.createElement(import_react36.default.Fragment, { key: `menu-list-${idx}` }, /* @__PURE__ */ import_react36.default.createElement(
      MenuItem,
      {
        item,
        isActive,
        onClick: toggleMenu,
        getAppUrl
      }
    ), isActive && item.children && item.children.length > 0 && /* @__PURE__ */ import_react36.default.createElement(
      MenuChildrenItems,
      {
        children: item.children,
        onSelect: toggleMenu,
        getAppUrl
      }
    ));
  }))))))) : null));
};

// src/components/Navbar/PrimaryNav.tsx
var import_react37 = __toESM(require("react"));
var import_react_router_dom7 = require("react-router-dom");
var PrimaryNav = ({
  navItems,
  MainPortal = "",
  QBPortal = "",
  ResourcesPortal = "",
  OuterDomain = ""
}) => {
  const location = (0, import_react_router_dom7.useLocation)();
  const getAppUrl = (appUrl, link) => {
    switch (appUrl) {
      case "MainPortal":
        return `${MainPortal}${link}`;
      case "QBPortal":
        return `${QBPortal}${link}`;
      case "ResourcesPortal":
        return `${ResourcesPortal}${link}`;
      case "OuterDomain":
        return `${OuterDomain}${link}`;
      case "Action":
        return "#";
      default:
        return link ? link : "#";
    }
  };
  return /* @__PURE__ */ import_react37.default.createElement(
    "nav",
    {
      role: "navigation",
      "aria-label": "header navigation",
      className: "pri-nav-wrap merge-bento"
    },
    /* @__PURE__ */ import_react37.default.createElement("ul", null, navItems.map(
      (item, index) => !item.isHide && /* @__PURE__ */ import_react37.default.createElement("li", { key: index, onClick: () => item.action?.() }, /* @__PURE__ */ import_react37.default.createElement(
        import_react_router_dom7.Link,
        {
          to: getAppUrl(item.appUrl, item.link) || "#",
          className: `pri-nav-link ${item.link === location.pathname ? "active" : ""}`
        },
        item.label
      ))
    ))
  );
};

// src/components/BentoMenu/Bento.tsx
var import_react39 = __toESM(require("react"));
var import_react_router_dom8 = require("react-router-dom");

// src/components/Tooltip/Tooltip.tsx
var import_react38 = __toESM(require("react"));
var Tooltip = (props) => {
  let hoverTimeout;
  let focusTimeout;
  const [active, setActive] = (0, import_react38.useState)(false);
  const showTip = () => {
    clearTimeout(focusTimeout);
    hoverTimeout = setTimeout(() => {
      setActive(true);
    }, props.delay || 400);
  };
  const hideTip = () => {
    clearTimeout(hoverTimeout);
    setActive(false);
  };
  const handleFocus = () => {
    clearTimeout(hoverTimeout);
    focusTimeout = setTimeout(() => {
      setActive(true);
    }, props.delay || 400);
  };
  const handleBlur = () => {
    clearTimeout(focusTimeout);
    setActive(false);
  };
  return /* @__PURE__ */ import_react38.default.createElement(
    "div",
    {
      className: `Tooltip-Wrapper ${props.className || ""}`,
      onMouseEnter: showTip,
      onMouseLeave: hideTip,
      onFocus: handleFocus,
      onBlur: handleBlur
    },
    props.children,
    active && /* @__PURE__ */ import_react38.default.createElement("div", { className: `Tooltip-Tip ${props.direction || "top"}` }, props.content)
  );
};
Tooltip.defaultProps = {
  delay: 400,
  direction: "top"
};

// src/components/BentoMenu/Bento.tsx
var Menu = ({
  menuItems,
  changeAction,
  openTab,
  MainPortal = "",
  QBPortal = "",
  ResourcesPortal = "",
  OuterDomain = ""
}) => {
  const getAppUrl = (appUrl, link) => {
    switch (appUrl) {
      case "MainPortal":
        return `${MainPortal}${link}`;
      case "QBPortal":
        return `${QBPortal}${link}`;
      case "ResourcesPortal":
        return `${ResourcesPortal}${link}`;
      case "OuterDomain":
        return `${OuterDomain}${link}`;
      case "Action":
        return "#";
      default:
        return link ? link : "#";
    }
  };
  const toggleBentoMenu = () => {
    changeAction(!openTab);
  };
  const bentoRef = (0, import_react39.useRef)(null);
  useOutsideClick_default(bentoRef, () => {
    if (openTab)
      changeAction(false);
  });
  useKeyboard_default(changeAction);
  const MenuItem2 = ({ item }) => {
    return /* @__PURE__ */ import_react39.default.createElement(import_react39.default.Fragment, null, !item.isHide && /* @__PURE__ */ import_react39.default.createElement("li", { role: "menuitem" }, /* @__PURE__ */ import_react39.default.createElement(
      import_react_router_dom8.Link,
      {
        to: getAppUrl(item.appUrl, item.to) || "#",
        onClick: item.action ? item.action : toggleBentoMenu,
        className: "bento-blks",
        style: { cursor: "pointer" }
      },
      item.icon && /* @__PURE__ */ import_react39.default.createElement("div", null, item.icon),
      /* @__PURE__ */ import_react39.default.createElement(Icons_default, { name: item.label }),
      /* @__PURE__ */ import_react39.default.createElement("p", null, item.label)
    )));
  };
  return /* @__PURE__ */ import_react39.default.createElement(import_react39.default.Fragment, null, menuItems && menuItems.length > 0 && /* @__PURE__ */ import_react39.default.createElement("div", { className: "bento_helpguide hidden lg:block", ref: bentoRef }, /* @__PURE__ */ import_react39.default.createElement("div", { className: "put-bento-desktop" }, /* @__PURE__ */ import_react39.default.createElement("div", { className: "bento-desk-wrap" }, openTab ? /* @__PURE__ */ import_react39.default.createElement(Tooltip, { content: "Bento Close", direction: "top" }, /* @__PURE__ */ import_react39.default.createElement(
    Button_default,
    {
      btntype: "button",
      customButton: true,
      btnCatogery: "toggle",
      status: openTab,
      showLabel: false,
      text: "close bento",
      ariaLabel: "Close bento menu",
      "aria-expanded": "true",
      onClick: toggleBentoMenu,
      addClass: "bento-icon acc-icon",
      "data-tooltip": "Bento menu"
    },
    /* @__PURE__ */ import_react39.default.createElement(Icons_default, { name: "closeIcon" })
  )) : /* @__PURE__ */ import_react39.default.createElement(Tooltip, { content: "Bento menu", direction: "top" }, /* @__PURE__ */ import_react39.default.createElement(
    Button_default,
    {
      btnId: "accessibileMenu",
      btntype: "button",
      customButton: true,
      btnCatogery: "toggle",
      status: openTab,
      showLabel: false,
      text: "open bento",
      ariaLabel: "Open bento menu",
      "aria-expanded": "false",
      "aria-haspopup": "true",
      onClick: toggleBentoMenu,
      addClass: "bento-icon acc-icon",
      "data-tooltip": "Bento menu"
    },
    /* @__PURE__ */ import_react39.default.createElement(Icons_default, { name: "openIcon" })
  )), openTab && /* @__PURE__ */ import_react39.default.createElement("div", { className: "bento-content", id: "bento-menu-content" }, /* @__PURE__ */ import_react39.default.createElement("div", { className: "menu-wrapper" }, /* @__PURE__ */ import_react39.default.createElement(
    "ul",
    {
      "aria-labelledby": "accessibileMenu",
      role: "menu",
      className: "bento-row grid-cols-2"
    },
    menuItems.map((item, index) => /* @__PURE__ */ import_react39.default.createElement(MenuItem2, { key: index, item }))
  )))))));
};

// src/components/Notification/Notification.tsx
var import_react40 = __toESM(require("react"));
var NavNotification = ({
  dropStatus,
  openNotify,
  totalNotifications,
  goNotifications,
  children
}) => {
  const notificationRef = (0, import_react40.useRef)(null);
  useOutsideClick_default(notificationRef, () => {
    if (dropStatus)
      openNotify(false);
  });
  const toggleBentoMenu = () => {
    openNotify(!dropStatus);
  };
  useKeyboard_default(openNotify);
  return /* @__PURE__ */ import_react40.default.createElement("div", { className: "notification-wrap notify_helpguide", ref: notificationRef }, /* @__PURE__ */ import_react40.default.createElement("div", { className: "notification" }, dropStatus ? /* @__PURE__ */ import_react40.default.createElement(Tooltip, { content: "Notification", direction: "bottom" }, /* @__PURE__ */ import_react40.default.createElement(
    Button_default,
    {
      btntype: "button",
      customButton: true,
      btnCatogery: "toggle",
      status: dropStatus,
      showLabel: false,
      text: "close notification",
      "aria-label": "Close Notification",
      "aria-expanded": "true",
      onClick: toggleBentoMenu,
      addClass: "icon-wrapper acc-icon",
      "data-tooltip": "Notification"
    },
    totalNotifications > 0 && /* @__PURE__ */ import_react40.default.createElement("div", { className: "notify-dot" }),
    /* @__PURE__ */ import_react40.default.createElement(Icons_default, { name: "notifyBell" }),
    "\u200B"
  )) : /* @__PURE__ */ import_react40.default.createElement(Tooltip, { content: "Notification", direction: "bottom" }, /* @__PURE__ */ import_react40.default.createElement(
    Button_default,
    {
      btntype: "button",
      customButton: true,
      btnCatogery: "toggle",
      status: dropStatus,
      showLabel: false,
      text: "open notification",
      "aria-label": "Open Notification",
      "aria-expanded": "false",
      "aria-haspopup": "true",
      onClick: toggleBentoMenu,
      addClass: "icon-wrapper acc-icon",
      "data-tooltip": "Notification"
    },
    totalNotifications > 0 && /* @__PURE__ */ import_react40.default.createElement("div", { className: "notify-dot" }),
    /* @__PURE__ */ import_react40.default.createElement(Icons_default, { name: "notifyBell" }),
    "\u200B"
  )), dropStatus && /* @__PURE__ */ import_react40.default.createElement("div", { className: "card-notify" }, /* @__PURE__ */ import_react40.default.createElement("div", { className: "notify-head" }, /* @__PURE__ */ import_react40.default.createElement("span", { className: "font-bold" }, "Notifications"), " ", /* @__PURE__ */ import_react40.default.createElement("span", { translate: "no", className: "font-semibold" }, totalNotifications ? `( ${totalNotifications} )` : null)), /* @__PURE__ */ import_react40.default.createElement("div", { className: "notify-body" }, children), /* @__PURE__ */ import_react40.default.createElement("div", { className: "text-center" }, /* @__PURE__ */ import_react40.default.createElement(
    Button_default,
    {
      btntype: "button",
      text: "View all",
      addClass: "btn  primary-btn",
      onClick: goNotifications
    }
  )))));
};

// src/components/RecordStatus/RecordStatus.tsx
var import_react41 = __toESM(require("react"));
var RecordStatus = ({
  label,
  hide,
  button,
  btn_function
}) => {
  return /* @__PURE__ */ import_react41.default.createElement("div", { className: "w-full rounded-lg bg-white" }, /* @__PURE__ */ import_react41.default.createElement("div", { className: `record-status ${hide ? "d-none" : ""}` }, /* @__PURE__ */ import_react41.default.createElement(Icons_default, { name: "infoIcon" }), /* @__PURE__ */ import_react41.default.createElement("p", null, label), button && /* @__PURE__ */ import_react41.default.createElement(import_react41.default.Fragment, null, /* @__PURE__ */ import_react41.default.createElement("div", { className: "h-3" }), /* @__PURE__ */ import_react41.default.createElement(
    Button_default,
    {
      btntype: "button",
      text: button,
      onClick: btn_function,
      addClass: "primary-btn"
    }
  ))));
};

// src/components/Account/Account.tsx
var import_react42 = __toESM(require("react"));
var import_react_router_dom9 = require("react-router-dom");
var Account = ({
  proxyUsers,
  userInfo,
  menuItems,
  openTab,
  changeAction,
  MainPortal = "",
  QBPortal = "",
  ResourcesPortal = "",
  OuterDomain = ""
}) => {
  const toggleBentoMenu = () => {
    changeAction(!openTab);
  };
  const accountRef = (0, import_react42.useRef)(null);
  useOutsideClick_default(accountRef, () => {
    if (openTab)
      changeAction(false);
  });
  useKeyboard_default(changeAction);
  const getAppUrl = (appUrl, link) => {
    switch (appUrl) {
      case "MainPortal":
        return `${MainPortal}${link}`;
      case "QBPortal":
        return `${QBPortal}${link}`;
      case "ResourcesPortal":
        return `${ResourcesPortal}${link}`;
      case "OuterDomain":
        return `${OuterDomain}${link}`;
      case "Action":
        return "#";
      default:
        return link ? link : "#";
    }
  };
  const MenuItem2 = ({ item }) => {
    return /* @__PURE__ */ import_react42.default.createElement("li", { role: "menuitem" }, /* @__PURE__ */ import_react42.default.createElement(
      import_react_router_dom9.Link,
      {
        to: getAppUrl(item.appUrl, item.to) || "#",
        onClick: item.action ? item.action : toggleBentoMenu,
        className: "dropdown-item",
        style: { cursor: "pointer" }
      },
      /* @__PURE__ */ import_react42.default.createElement("p", null, item.label)
    ));
  };
  return /* @__PURE__ */ import_react42.default.createElement("div", { className: "dropdown-group profile profile_helpguide", ref: accountRef }, openTab ? /* @__PURE__ */ import_react42.default.createElement(Tooltip, { content: "Avatar", direction: "bottom" }, /* @__PURE__ */ import_react42.default.createElement(
    Button_default,
    {
      addClass: "dropdown-toggle acc-icon",
      btnId: "dropdown-toggle",
      btntype: "button",
      onClick: toggleBentoMenu,
      customButton: true,
      showLabel: false,
      text: "profile",
      "aria-label": "Close profile",
      "aria-expanded": "true",
      "data-toggle": "dropdown"
    },
    /* @__PURE__ */ import_react42.default.createElement(Icons_default, { name: "profileIcon" })
  )) : /* @__PURE__ */ import_react42.default.createElement(Tooltip, { content: "Avatar", direction: "bottom" }, /* @__PURE__ */ import_react42.default.createElement(
    Button_default,
    {
      addClass: "dropdown-toggle acc-icon",
      btnId: "dropdown-toggle",
      btntype: "button",
      customButton: true,
      showLabel: false,
      text: "profile",
      onClick: toggleBentoMenu,
      "data-tooltip": "Profile",
      "aria-label": "Open profile",
      "aria-haspopup": "true",
      "aria-expanded": "false",
      "data-toggle": "dropdown"
    },
    /* @__PURE__ */ import_react42.default.createElement(Icons_default, { name: "profileIcon" })
  )), openTab && /* @__PURE__ */ import_react42.default.createElement("div", { className: "dropdown-menu", id: "dropdown-menu" }, /* @__PURE__ */ import_react42.default.createElement("ul", null, /* @__PURE__ */ import_react42.default.createElement("li", { className: "u_name text-lg", translate: "no" }, " ", localStorage.getItem("proxyUserId") ? `${proxyUsers?.find(
    (proxy) => proxy.proxyUserId === localStorage.getItem("proxyUserId")
  )?.proxyUserInfo?.firstName} ${proxyUsers?.find(
    (proxy) => proxy.proxyUserId === localStorage.getItem("proxyUserId")
  )?.proxyUserInfo?.lastName}` : localStorage.getItem("name") ? localStorage.getItem("name") : userInfo.firstName), menuItems.map((item, index) => /* @__PURE__ */ import_react42.default.createElement(MenuItem2, { key: index, item })))));
};

// src/components/Footer/BottomNav.tsx
var import_react45 = __toESM(require("react"));
var import_react_router_dom10 = require("react-router-dom");

// src/utils/useViewportWidth.tsx
var import_react43 = require("react");
function useViewportWidth2() {
  const [viewportWidth, setViewportWidth] = (0, import_react43.useState)(window.innerWidth);
  (0, import_react43.useEffect)(() => {
    const handleResize = () => {
      setViewportWidth(window.innerWidth);
    };
    window.addEventListener("resize", handleResize);
    handleResize();
    return () => {
      window.removeEventListener("resize", handleResize);
    };
  }, []);
  return viewportWidth;
}
var useViewportWidth_default = useViewportWidth2;

// src/utils/useScrollControl.tsx
var import_react44 = require("react");
var useScrollControl = () => {
  const [showMenu, setShowMenu] = (0, import_react44.useState)(true);
  (0, import_react44.useEffect)(() => {
    let prevScrollY = window.scrollY;
    let ticking = false;
    let scrollTimeout;
    const handleScroll = () => {
      if (!ticking) {
        if (scrollTimeout !== void 0) {
          clearTimeout(scrollTimeout);
        }
        scrollTimeout = window.setTimeout(() => {
          const currentScrollY = window.scrollY;
          if (currentScrollY > prevScrollY) {
            if (showMenu) {
              setShowMenu(false);
            }
          } else if (currentScrollY < prevScrollY) {
            if (!showMenu) {
              setShowMenu(true);
            }
          }
          const isAtBottom = currentScrollY + window.innerHeight >= document.documentElement.scrollHeight;
          const isAtTop = currentScrollY === 0;
          if (isAtTop) {
            setShowMenu(true);
          }
          if (isAtBottom) {
            setShowMenu(false);
          }
          prevScrollY = currentScrollY;
          ticking = false;
        }, 200);
        ticking = true;
      }
    };
    window.addEventListener("scroll", handleScroll, { passive: true });
    return () => {
      window.removeEventListener("scroll", handleScroll);
    };
  }, [showMenu]);
  return showMenu;
};
var useScrollControl_default = useScrollControl;

// src/components/Footer/BottomNav.tsx
var NavItem = ({ item, getAppUrl }) => {
  const location = (0, import_react_router_dom10.useLocation)();
  const active = location.pathname.includes(item.link || "#");
  return /* @__PURE__ */ import_react45.default.createElement("li", { onClick: () => item.action?.() }, /* @__PURE__ */ import_react45.default.createElement(
    import_react_router_dom10.Link,
    {
      to: getAppUrl(item.appUrl, item.link),
      className: `bottom-nav-link ${active ? "active" : ""}`
    },
    item.icon ? /* @__PURE__ */ import_react45.default.createElement("div", null, item.icon) : /* @__PURE__ */ import_react45.default.createElement(Icons_default, { name: item.label }),
    item.label
  ));
};
var BottomNav = ({
  navItems,
  MainPortal = "",
  QBPortal = "",
  ResourcesPortal = "",
  OuterDomain = ""
}) => {
  const viewportWidth = useViewportWidth_default();
  const showMenu = useScrollControl_default();
  const [isMobile, setIsMobile] = (0, import_react45.useState)(viewportWidth <= 1023);
  (0, import_react45.useEffect)(() => {
    setIsMobile(viewportWidth <= 1023);
  }, [viewportWidth]);
  const getAppUrl = (appUrl = "", link = "") => {
    switch (appUrl) {
      case "MainPortal":
        return `${MainPortal}${link}`;
      case "QBPortal":
        return `${QBPortal}${link}`;
      case "ResourcesPortal":
        return `${ResourcesPortal}${link}`;
      case "OuterDomain":
        return `${OuterDomain}${link}`;
      case "Action":
        return "#";
      default:
        return link || "#";
    }
  };
  return /* @__PURE__ */ import_react45.default.createElement(import_react45.default.Fragment, null, isMobile && /* @__PURE__ */ import_react45.default.createElement(
    "nav",
    {
      role: "navigation",
      className: `bottom-navbar ${!showMenu ? "hiddenmob" : ""}`
    },
    /* @__PURE__ */ import_react45.default.createElement("ul", { className: "bottom-nav" }, navItems.map((item, index) => /* @__PURE__ */ import_react45.default.createElement(NavItem, { key: index, item, getAppUrl })))
  ));
};

// src/utils/AppURLs.tsx
var appUrlsJson = {
  ourAppUrls: {},
  mainPortalUrls: {
    auth: {
      login: "/login",
      signup: "/signup"
    },
    dashboard: {
      patient: "/dashboard/patient",
      default: "/dashboard",
      carer: "/dashboard/carer",
      superadmin: "/rbac/overview",
      madmin: "/rbac/overview"
    },
    tracking: {
      index: "/tracking",
      goals: "/tracking/goals",
      coping: "/tracking/coping",
      diary: "/tracking/diary",
      trackers: {
        index: "/tracking/trackers",
        dashboard: "/tracking/trackers/dashboard",
        overview: "/tracking/trackers/overview",
        sleep: "/tracking/trackers/sleep",
        mood: "/tracking/trackers/mood",
        alcohol: "/tracking/trackers/alcohol",
        pain: "/tracking/trackers/pain",
        problem: "/tracking/trackers/problem",
        smoking: "/tracking/trackers/smoke",
        bloodPressure: "/tracking/trackers/blood-pressure",
        bmiWeight: "/tracking/trackers/bmi-weight",
        temperature: "/tracking/trackers/temperature",
        period: "/tracking/trackers/period",
        headache: "/tracking/trackers/headache",
        preheadache: "/tracking/trackers/preheadache",
        exercise: "/tracking/trackers/exercise",
        dailySteps: "/tracking/trackers/daily-steps",
        weight: "/tracking/trackers/weight",
        waist: "/tracking/trackers/waist-circumference",
        diet: "/tracking/trackers/diet",
        fluid: "/tracking/trackers/fluid"
      },
      fitbit: {
        fitbitSleep: "/tracking/fitbit/fitbit-sleep",
        fitbitStep: "/tracking/fitbit/fitbit-step",
        portal: "/fitbit"
      },
      deviceTracker: {
        index: "/tracking/device",
        dashboard: "/tracking/device/dashboard"
      }
    },
    profile: {
      index: "/profile",
      aboutMe: {
        personalOverview: "/profile/about-me/overview",
        personalDetails: "/profile/about-me/details",
        myBackground: "/profile/about-me/background",
        myNeeds: "/profile/about-me/needs",
        viewRecord: "/profile/about-me/record",
        consent: "/profile/about-me/consent",
        preferences: "/profile/about-me/preferences",
        deactivateAccount: "/profile/about-me/deactivateAccount",
        goals: "/profile/about-me/goal"
      },
      trusts: "/profile/trusts/management",
      trustInvites: "/profile/trusts/invites",
      keyHealthInfo: "/profile/key-health-info",
      myContacts: "/profile/key-contacts"
    },
    settings: {
      index: "/account",
      accountSettings: "/account/details",
      trustManagement: "/account/trusts/management",
      trustInvites: "/account/trusts/invites",
      viewRecord: "/account/record",
      consent: "/account/consent",
      preferences: "/account/preferences",
      deactivateAccount: "/account/deactivateAccount",
      myProfessionalProfile: "/account/my-profile",
      settings: "/account/settings",
      globalSettings: "/global/brand",
      moduleSettings: "/global/module",
      brandSettings: "/global/brand"
    },
    theme: {
      index: "/theme",
      themeSettings: "/theme/theme-settings"
    },
    superadmin: {
      adminlist: "/superadmin/admin-list",
      adminnew: "/superadmin/admin-new"
    },
    carer: {
      accessHealth: "/dashboard/carer/health-access"
    },
    admin: {
      index: "/admin",
      people: {
        myProfessionalProfile: "/admin/people/my-profile",
        directory: "/admin/people/directory",
        professionalCirclePatient: "/admin/people/professional-circle/patient",
        professionalCircleColleague: "/admin/people/professional-circle/colleague"
      },
      settings: {
        settings: "/admin/settings"
      }
    },
    clinician: {
      // caseLoad: {
      //   caseLoad: '/case-load',
      // },
      notifications: "/notifications-list",
      people: {
        index: "/people",
        myProfessionalProfile: "/people/my-profile",
        directory: "/people/directory",
        professionalCirclePatient: "/people/professional-circle/patient",
        professionalCircleColleague: "/people/professional-circle/colleague"
      },
      settings: {
        settings: "/settings"
      }
    },
    caseLoad: {
      index: "/caseload",
      clinician: {
        clinicalCaseload: "/caseload/clinical-caseload",
        infoHealth: "/caseload/clinical-caseload/connections/patients/health",
        infoConnect: "/caseload/clinical-caseload/connections/patients/connect",
        infoTracker: "/caseload/clinical-caseload/connections/patients/tracker",
        infoAbout: "/caseload/clinical-caseload/connections/patients/about"
      },
      admin: {
        teamCaseload: "/caseload/team-caseload",
        patientOverview: "/caseload/patient-overview",
        bestInterest: "/caseload/best-interest",
        myClinicalCaseload: "/caseload/my-clinical-caseload"
      }
    },
    myhealth: {
      index: "/my-health",
      healthOverview: "/my-health/overview",
      careJourney: "/my-health/care-journey",
      carePlans: "/my-health/care-journey/care-plans",
      advanceCarePlan: "/my-health/care-journey/advance-care-plan",
      viewCarePlan: "/my-health/care-journey/view-care-plan",
      aboutme: "/my-health/aboutme",
      // currentHealth: '/my-health/current-health',
      currentHealth: {
        diagnoses: "/my-health/current-health/diagnoses",
        allergies: "/my-health/current-health/allergies",
        medications: "/my-health/current-health/medications"
      },
      documents: "/my-health/documents/all",
      documentUpload: "/my-health/documents/document-upload",
      documentsUnread: "/my-health/documents/unread",
      documentsRead: "/my-health/documents/read",
      documentsArchive: "/my-health/documents/archive",
      documentView: "/my-health/documents/view",
      documentsLetter: "/my-health/documents/letter",
      documentsLetterView: "/my-health/documents/letter/view",
      lifeStyle: {
        myHealthFactors: "/my-health/lifestyle/my-health-factors",
        hobbiesActivities: "/my-health/lifestyle/hobbies-activities"
      },
      healthHistory: "/my-health/health-history",
      diagnosisHistory: "/my-health/health-history/diagnosis",
      medicationHistory: "/my-health/health-history/medication",
      allergiesHistory: "/my-health/health-history/allergies",
      encounters: "/my-health/consulations-events"
    },
    circle: {
      index: "/my-community",
      connectOverview: "/my-community/overview",
      serviceUser: {
        myCarers: "/my-community/my-circle/my-carers",
        myPeers: "/my-community/my-circle/my-peers",
        myClinicians: "/my-community/my-circle/my-clinicians",
        myAdmins: "/my-community/my-circle/my-admins",
        infoHealth: "/my-community/my-circle/patients/health",
        infoTracker: "/my-community/my-circle/patients/tracker",
        infoConnect: "/my-community/my-circle/patients/connect"
      },
      admin: {
        new: "/admin/my-community/my-circle/new",
        careTeam: "/admin/my-community/my-circle/care-team",
        clinicians: "/admin/my-community/my-circle/clinicians",
        patients: "/admin/my-community/my-circle/patients"
      },
      clinician: {
        patients: "/my-community/connections/patients",
        colleague: "/my-community/connections/colleagues",
        messages: "/my-community/messages",
        patientsInvite: "/my-community/connections/patients/invite",
        info: "/my-community/info",
        infoHealth: "/my-community/connections/patients/health",
        infoTracker: "/my-community/connections/patients/tracker",
        infoConnect: "/my-community/connections/patients/connect"
      },
      messages: "/my-community/messages",
      requestRecieved: "/my-community/request-recieved",
      requestSent: "/my-community/request-sent"
    },
    questionnaires: {
      clinician: {
        index: "/questionnaires",
        dashboard: "/questionnaires/dashboard",
        formsQuestionnaires: "/questionnaires/forms-questionnaires",
        formApprovals: "/questionnaires/form-approvals",
        responses: "/questionnaires/responses"
      }
    },
    resources: {
      index: "/resources",
      myResources: "/resources/my-resources",
      myResourcesAll: "/resources/my-resources/all",
      myResourcesSave: "/resources/my-resources/save",
      myResourcesRecommended: "/resources/my-resources/recommended",
      recommendedIndex: "/recommended-resources",
      allResources: "/resources/all-resources",
      recommendedResources: "/recommended-resources",
      apps: "/resources/apps",
      articles: "/resources/articles",
      events: "/resources/events",
      videos: "/resources/videos",
      tips: "/resources/tips",
      usefulLinks: "/resources/useful-links",
      researchPapers: "/resources/research-papers",
      stories: "/resources/stories",
      patientLeafLets: "/resources/patient-leaflets",
      openDialogSearch: "/resources/openDialogSearch",
      healthAZ: "/resources/health-a-z",
      hnaForms: "/resources/hna-forms",
      hciLibrary: "/resources/hci-library",
      bereavementsupport: "/resources/bereavement-support",
      viewResource: "/resources/my-resources/view-resource"
    },
    notifications: {
      index: "/notifications",
      overView: "/notifications/overview",
      createNotification: "/notifications/create-notification",
      editNotification: "/notifications/edit-notification",
      notificationsHistory: "/notifications/notifications-history",
      scheduledNotifications: "/notifications/scheduled-notifications",
      templates: "/notifications/templates",
      activityLog: "/notifications/activityLog",
      patientNotifications: "/notifications/all",
      notificationPreferences: "/notifications/preferences",
      smsOverview: "/notifications/sms/overview",
      smsTemplate: "/notifications/sms/templates",
      addSms: "/notifications/sms/overview/add",
      smsTemplateAll: "/notifications/sms/templates",
      smsTemplateActive: "/notifications/sms/templates/active",
      smsTemplateInactive: "/notifications/sms/templates/inactive",
      smsTemplateArchived: "/notifications/sms/templates/archived",
      createSmsTemplate: "/notifications/sms/templates/add",
      smsScheduled: "/notifications/scheduled-notifications/sms",
      smsViewScheduled: "/notifications/scheduled-notifications/view",
      smsNotificationsHistory: "/notifications/notifications-history/sms",
      smsNotificationsHistoryView: "/notifications/notifications-history/view"
    },
    appointment: {
      index: "/appointment",
      admin: {
        allClinicLocations: "/appointment/location",
        ClinicLocationsDetails: "/appointment/location/clinic",
        addClinic: "/appointment/location/add-clinic",
        editClinic: "/appointment/location/edit-clinic",
        dashboard: "/appointment/dashboard",
        allClinics: "/appointment/clinics",
        addClinicPage: "/appointment/clinics/add",
        allClinicsPatient: "/appointment/clinics/clinic-patient",
        cliniciansGroups: "/appointment/clinicians-groups",
        vaccinationType: "/appointment/vaccination",
        createVaccination: "/appointment/vaccination/create",
        amendBooking: "/appointment/amend",
        amendBookingConsultation: "/appointment/amend/consultation",
        amendBookingVaccination: "/appointment/amend/vaccination",
        patients: "/appointment/patients",
        diagnosisType: "/appointment/diagnosis",
        diagnosisTypeCreate: "/appointment/diagnosis/create",
        appointmentType: "/appointment/type",
        appointmentTypeCreate: "/appointment/type/create"
      },
      patient: {
        index: "/my-health/appointment",
        dashboard: "/my-health/appointment/overview",
        upcomingAppointment: "/my-health/appointment/overview/upcoming",
        pastAppointment: "/my-health/appointment/overview/past",
        cancelledAppointment: "/my-health/appointment/overview/cancelled",
        appointmentDetails: "/my-health/appointment/overview/appointment-details",
        appointmentBooking: "/my-health/appointment/booking",
        viewVaccinationBooking: "/my-health/appointment/view-vaccination-booking",
        rioReschedule: "/my-health/appointment/overview/rio-reschedule"
      },
      clinician: {
        dashboard: "/appointment/dashboard",
        newClinic: "/appointment/myclinics",
        addClinic: "/appointment/myclinics/add",
        requestDiagnosis: "/appointment/myclinics/request-diagnosis",
        todaysClinic: "/appointment/all-clinics/today",
        upcomingClinic: "/appointment/all-clinics/upcoming-clinic",
        pastClinic: "/appointment/all-clinics/past-clinic",
        patients: "/appointment/patients",
        allAppointment: "/appointment/patients/all-appointment"
      }
    },
    rbac: {
      index: "/rbac",
      superAdmin: {
        dashboard: "/rbac/overview",
        overview: "/rbac/trust/overview",
        modules: "/rbac/modules",
        userManagement: "/rbac/user-management/all-user/active-user",
        archivedUser: "/rbac/user-management/all-user/archived-user",
        inactiveUser: "/rbac/user-management/all-user/inactive-user",
        inviteUser: "/rbac/user-management/invite-user",
        permissionManagement: "/rbac/permission-management/user-role/admin",
        adminActiveUser: "/rbac/permission-management/active-user/admin",
        superAdminActiveUser: "/rbac/permission-management/active-user/trust-admin",
        clinicianActiveUser: "/rbac/permission-management/active-user/clinician",
        patientActiveUser: "/rbac/permission-management/active-user/patient",
        ClinicianPermissioManagement: "/rbac/permission-management/user-role/clinician",
        superAdminPermissioManagement: "/rbac/permission-management/user-role/trust-admin",
        PatientPermissionManagement: "/rbac/permission-management/user-role/patient",
        adminSubrolePermission: "/rbac/permission-management/sub-role/admin",
        clinicianSubrolePermission: "/rbac/permission-management/sub-role/clinician",
        patientSubrolePermission: "/rbac/permission-management/sub-role/patient",
        createSubrolePermission: "/rbac/permission-management/sub-role/create",
        userGroup: "/rbac/user-group",
        portalUsers: "/rbac/user-management/portal-users",
        systemUsers: "/rbac/system-users",
        branding: "/rbac/branding",
        termsAndPrivacy: "/rbac/terms",
        subRoles: "/rbac/user-management/sub-roles",
        createSubroles: "/rbac/user-management/sub-roles/create",
        archiveUserInfo: "/rbac/user-management/all-user/active-user/pending-task",
        deleteUserInfo: "/rbac/user-management/all-user/active-user/delete-pending-task"
      },
      mediwaveAdmin: {
        dashboard: "/rbac/overview",
        modules: "/rbac/modules-admin",
        branding: "/rbac/branding-admin",
        regional: "/rbac/regional",
        regionalAdd: "/rbac/regional/add",
        Add: "/rbac/regional/add",
        regionalManageModules: "/rbac/regional/managearea/modules",
        regionalManageInformation: "/rbac/regional/managearea/information",
        regionalManageRoles: "/rbac/regional/managearea/roles",
        regionalManageRolesAdd: "/rbac/regional/managearea/roles/add",
        regionalManageAllUsers: "/rbac/regional/managearea/allusers",
        regionalManageAllUsersAdd: "/rbac/regional/managearea/allusers/add",
        emailConfiguration: "/rbac/regional/managearea/emailconfiguration",
        serviceOverview: "/rbac/regional/service/overview",
        serviceManageInformation: "/rbac/regional/manage/service/information",
        serviceManageAllUsers: "/rbac/regional/manage/service/allusers",
        serviceManageAllUsersAdd: "/rbac/regional/manage/service/allusers/add",
        serviceAdd: "/rbac/regional/manage/overview/service/add",
        trusts: "/rbac/trusts",
        trustsDetails: "/rbac/trusts/details",
        trustsManage: "/rbac/trusts/manage",
        trustAdd: "/rbac/trusts/add",
        trustsUrgentHelp: "/rbac/trusts/emergency-help"
      },
      regionalAdmin: {
        index: "/regional",
        regional: "/regional",
        dashboard: "/regional/overview",
        regionalManageModules: "/regional/managearea/modules",
        regionalManageInformation: "/regional/managearea/information",
        regionalManageRoles: "/regional/managearea/roles",
        regionalManageRolesAdd: "/regional/managearea/roles/add",
        regionalManageAllUsers: "/regional/usermanagement/allusers",
        regionalManageAllUsersAdd: "/regional/usermanagement/allusers/add",
        emailConfiguration: "/regional/managearea/emailconfiguration",
        serviceOverview: "/regional/service/overview",
        serviceManageInformation: "/regional/manage/service/information",
        serviceManageAllUsers: "/regional/manage/service/allusers",
        serviceManageAllUsersAdd: "/regional/manage/service/allusers/add",
        serviceAdd: "/regional/manage/service/add"
      }
    },
    patient: {
      index: "/patientnotification",
      patientNotifications: "/patientnotification/message"
    },
    messages: {
      inbox: "/messages/inbox",
      sent: "/messages/sent",
      newMessage: "/messages/new-message",
      messageThread: "/messages/thread"
    },
    // !! dont use !!
    nhsappold: {
      index: "/nhs",
      viewAppointment: "/nhs/view-appointment",
      appointmentOverview: "/nhs/overview",
      bookingAppointment: "/nhs/bookingappointment",
      chooseAppointment: "/nhs//bookingappointment/chooseappointment",
      selectClinic: "/nhs//bookingappointment/selectclinic",
      appointmentforRefferal: "/nhs//bookingappointment/appointmentforrefferal",
      appointmentBooked: "/nhs//bookingappointment/appointmentbooked",
      manageAppointment: "/nhs/manageappointment",
      nhsTerms: "/nhs/manageappointment/nhsterms",
      rescheduleAppointment: "/nhs/rescheduleappointment",
      askReschedule: "/nhs/rescheduleappointment/askreschedule",
      askCancelation: "/nhs/cancelappointment/askcancelation",
      startReschedule: "/nhs/rescheduleappointment/startreschedule",
      reasonforReschedule: "/nhs/rescheduleappointment/reasonforreschedule",
      reviewRequest: "/nhs/rescheduleappointment/reviewrequest",
      appointmentRechedule: "/nhs/rescheduleappointment/appointmentrechedule",
      cancelAppointment: "/nhs/cancelappointment",
      appointmentCancelled: "/nhs/cancelappointment/appointmentcancelled"
    },
    nhsapp: {
      index: "/p",
      viewOneAppointment: "/p/:trustCode/appointments/:uuid",
      requestAppointment: "/p/:trustCode/appointments/:uuid/request/:action",
      cancel: {
        preparation: "/p/:trustCode/appointments/:uuid/cancel/prepare",
        reason: "/p/:trustCode/appointments/:uuid/cancel/reason",
        review: "/p/:trustCode/appointments/:uuid/cancel/review",
        confirmation: "/p/:trustCode/appointments/:uuid/cancel/confirmation"
      },
      reschedule: {
        preparation: "/p/:trustCode/appointments/:uuid/reschedule/prepare",
        new_date: "/p/:trustCode/appointments/:uuid/reschedule/new-date",
        reason: "/p/:trustCode/appointments/:uuid/reschedule/reason",
        review: "/p/:trustCode/appointments/:uuid/reschedule/review",
        confirmation: "/p/:trustCode/appointments/:uuid/reschedule/confirmation"
      }
    },
    referral: {
      index: "/referral",
      patient: {
        referralOverview: "/referral",
        pending: "/referral/pending",
        draft: "/referral/draft",
        submitted: "/referral/submit"
      },
      admin: {
        referralAdmin: "/referral/admin",
        archivedReferral: "/referral/archive",
        serviceAdmin: "/referral/service"
      }
    }
  },
  outerDomainUrls: {}
};
function checkInnerJson(jsonData) {
  if (jsonData) {
    for (const key in jsonData) {
      if (typeof jsonData[key] === "string") {
        jsonData[key] = `${jsonData[key]}`;
      } else {
        jsonData[key] = checkInnerJson(jsonData[key]);
      }
    }
  }
  return jsonData;
}
var portalUrls = {
  ...checkInnerJson(appUrlsJson.ourAppUrls),
  outerDomainUrls: appUrlsJson.outerDomainUrls,
  mainPortalUrls: appUrlsJson.mainPortalUrls
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Account,
  BottomNav,
  BurgerMenu,
  HeaderSection,
  LoaderSVG,
  Logo,
  Menu,
  NavNotification,
  PrimaryNav,
  RecordStatus,
  Tooltip,
  portalUrls,
  voiceCommandManager
});
